<div class="row">
<div class="col-lg-12">
<h1 class="page-header"><i class="rs rs-key"></i> <?php _("Register") ?></h1>
</div>
</div>
<div class="alert alert-info" ng-if="!$root.update.free && $root.update.testperiodMode!=2">
<?php _("You are using the free version. Some functions will not work for that reason. See function comparison at the bottom for more details.") ?>
<div ng-if="$root.update.testperiodMode<2"><br>
<p><?php _('You use the free version of this software, which contains all the essential functions for printing. The Pro version offers significantly more features and possibilities. Activate the Pro version now without any obligations for 14 days!') ?>
<br><br><?php _('No contact or payment information is required, after the trial period expires it will automatically convert to the free version and you can continue working normally.') ?>
<?php _('In the menu item Register you can see a comparison between the Free and the Pro version.') ?></p>
<button type="button" class="btn btn-primary" ng-click="startPeriod()">
<i class="fa fa-check"></i> <?php _('Start Free Trial') ?></button>
</div>
</div>
<div class="alert alert-warning" ng-if="licence.rentExpired===1">
<rs-icon icon="fa fa-exclamation-triangle"></rs-icon>
<?php _('Your license was not verified for a month. Please ensure an internet connection to verify the validity!') ?>
<?php _('Until verification you can only use the free features.') ?>
</div>
<div class="alert alert-warning" ng-if="licence.rentExpired===2">
<rs-icon icon="fa fa-exclamation-triangle"></rs-icon>
<?php _('Your license is expired and no longer valid!') ?>
</div>
<div class="alert alert-info" ng-if="!$root.update.free && $root.update.testperiodMode==2">
<?php _("You are running our pro version trial. Once the trial ends, the version will switch back to the free version! If you are satisfied, you can upgrade any time.") ?>
</div>
<div class="row">
<div class="col-sm-12" ng-bind-html="$root.update.messageHtml"></div>
</div>
<div class="well margin-top" ng-if="$root.update.versionName">
<h2 style="margin-top: 0"><?php _('License Activation') ?></h2>
<div class="alert alert-success" ng-show="licence.active && !licenceError">
<rs-icon icon="fa fa-check"></rs-icon> <?php _('Your license is activated.') ?>
</div>
<div class="alert alert-info" ng-show="deactivated">
<?php _('Your license has been deactivated. You can now use it on an other machine.') ?>
</div>
<div class="alert alert-danger" ng-show="licenceError">
{{licenceError}}
</div>
<div class="form-group">
<label class="control-label"><?php _('License Key') ?></label>
<input ng-model="licence.licence" type="text" ng-disabled="licence.active" placeholder="<?php _('Enter License Key') ?>" class="form-control input-md">
</div>
<div>
<div class="margin-top" style="display: inline-block">
<button ng-click="activate()" class="btn btn-primary" ng-disabled="licence.active || !licenceValid || waitActivate">
<i ng-class="waitActivate ? 'fa-spin fa-spinner' : 'fa-plus'" class="fa rs-bigtab"></i> <?php _('Activate License') ?>
</button>
</div>
<div class="margin-top" style="display: inline-block">
<button ng-click="deactivate()" class="btn btn-primary" ng-disabled="!licence.active || waitDeactivate">
<i ng-class="waitDeactivate ? 'fa-spin fa-spinner' : 'fa-minus'" class="fa rs-bigtab"></i> <?php _('Deactivate License') ?>
</button>
</div>
<div class="margin-top" style="display: inline-block">
<button ng-click="clearLicense()" class="btn btn-primary" ng-if="licence.licence && !licence.active">
<i class="fa fa-trash-o"></i> <?php _('Clear License') ?> &nbsp;
</button>
</div>
<div class="margin-top" style="display: inline-block" ng-if="!isOEM() && !licence.active">
<a href="https://www.repetier.com/qr/s.php?s=buyserver" class="btn btn-primary" target="_blank">
<i class="fa fa-shopping-cart"></i> Pro - <?php _('Buy Now') ?>
</a>
</div>
<div class="margin-top" style="display: inline-block" ng-if="!isOEM() && !licence.active">
<a href="https://www.repetier.com/qr/s.php?s=buyserverlight" class="btn btn-primary" target="_blank">
<i class="fa fa-shopping-cart"></i> Light - <?php _('Buy Now') ?>
</a>
</div>
<div class="margin-top">
<a href="https://www.repetier.com/qr/s.php?s=patreon" class="btn btn-primary btn-block" target="_blank" style="text-wrap: wrap;
    height: auto;">
<span style="white-space: normal"><rs-icon icon-img="'/img/svg/patreon.svg'"></rs-icon>
<?php _('Support us on Patreon and get great benefits like Repetier-Server Pro and Light special licenses with pre-access to the daily updated developer version for Linux installations and more.') ?>
</span>
</a>
</div>
</div>
<div ng-show="isOEM()">
<h2><?php _('Upgrade OEM to Pro version') ?></h2>
<div class="form-group">
<label class="control-label"><?php _('License Key') ?></label>
<input ng-model="$parent.upgradeLicense" type="text" ng-disabled="!licence.active" placeholder="<?php _('Enter License Key') ?>" class="form-control input-md">
</div>
<div>
<button ng-click="upgradeFromOEM()" class="btn btn-primary" ng-disabled="!licence.active || !upgradeLicenseValid || waitActivate">
<i ng-class="waitActivate ? 'fa-spin fa-spinner' : 'fa-plus'" class="fa rs-bigtab"></i> <?php _('Upgrade') ?>
</button>
<a href="https://www.repetier.com/qr/s.php?s=buyupgrade" class="btn btn-primary" target="_blank"><i class="fa fa-shopping-cart"></i> <?php _('Buy Now') ?>
</a>
</div>
</div>
</div>
<div class="container-fluid" ng-if="!isPro() && !isLight()">
<div class="row">
<div class="col-xs-12 col-sm-offset-6 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planHeader my_plan1" style="height:50px">
<div class="my_planTitle" ng-if="!isOEM()">Free</div>
<div class="my_planTitle" ng-if="isOEM()">OEM</div>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planHeader my_plan2" style="height:50px">
<div class="my_planTitle">Light</div>
</div>
<div class="{{infoClass()}} my_planHeader my_plan2" style="height:50px">
<div class="my_planTitle">Pro</div>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('G-Code Handling') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Printing') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Push Messages') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Remote Access from Everywhere') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Configuration Wizard') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('G-Code Preview') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Live 3D Print View') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1" style="font-size:18px;line-height: 40px;">
<span ng-if="!isOEM()"><?php _('max. 25%') ?></span>
<i ng-if="isOEM()" class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Local Cloud Slicing') ?><?php _('(to come)') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<span ng-if="!isOEM()"><i class="fa fa-minus my_minus"></i></span>
<span ng-if="isOEM()"><i class="fa fa-check my_check"></i></span>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Webcam') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1" style="font-size:18px;line-height: 40px;">
<i ng-if="!isOEM()" class="fa fa-minus my_minus"></i>
<span ng-if="isOEM()"><?php _('Unlimited') ?></span>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2" style="font-size:18px;line-height: 40px;">
<?php _('1/Printer') ?>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2" style="font-size:18px;line-height: 40px;">
<?php _('Unlimited') ?>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Rendered Preview Images') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i ng-if="!isOEM()" class="fa fa-minus my_minus"></i>
<i ng-if="isOEM()" class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Time Lapse Videos') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i ng-if="!isOEM()" class="fa fa-minus my_minus"></i>
<i ng-if="isOEM()" class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Slicing') ?><?php _('(to come)') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i class="fa fa-minus my_minus"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Model Repository') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1" style="font-size:18px;line-height: 40px;">
<?php _('Limited') ?>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Firmware Upload') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i ng-if="!isOEM()" class="fa fa-minus my_minus"></i>
<i ng-if="isOEM()" class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Outsource Compute-intensive Work') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i class="fa fa-minus my_minus"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('MQTT Integration') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i class="fa fa-minus my_minus"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-minus my_minus"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('External Push Message Services') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1" style="font-size:18px;line-height: 40px;">
<span ng-if="!isOEM()"><?php _('Limited') ?></span>
<i ng-if="isOEM()" class="fa fa-check my_check"></i>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
<i class="fa fa-check my_check"></i>
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Installations') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i ng-if="!isOEM()" class="fa fa-minus my_minus"></i>
<span ng-if="isOEM()">1</span>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
2
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
5
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Active printers per Installation') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<span ng-if="!isOEM()">2</span>
<span ng-if="isOEM()">1000</span>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2">
5
</div>
<div class="{{infoClass()}} my_planFeature my_plan2">
1000
</div>
</div>
</div>
</div>
<div class="row my_featureRow">
<div class="col-xs-12 col-sm-6 my_feature">
<?php _('Validity') ?>
</div>
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planFeature my_plan1">
<i ng-if="!isOEM()" class="fa fa-minus my_minus"></i>
<span ng-if="isOEM()" style="font-size:18px;line-height: 40px;">Unlimited time</span>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planFeature my_plan2" style="font-size:18px;line-height: 40px;">
Unlimited time
</div>
<div class="{{infoClass()}} my_planFeature my_plan2" style="font-size:18px;line-height: 40px;">
Unlimited time
</div>
</div>
</div>
</div>
<div class="row">
<div class="col-xs-12 col-sm-offset-6 col-sm-6">
<div class="row">
<div class="{{infoClass()}} my_planHeader my_plan1" style="height:50px;padding-top:7px;">
<a ng-if="!isOEM()" href="http://www.repetier-server.com/download-repetier-server/" class="btn btn-default" target="_blank"><?php _('Download') ?></a>
</div>
<div ng-if="!isOEM()" class="{{infoClass()}} my_planHeader my_plan2" style="height:50px;padding-top:7px;">
<a href="https://www.repetier.com/qr/s.php?s=buyserverlight" class="btn btn-primary" target="_blank"><?php _('Buy Now') ?></a>
</div>
<div class="{{infoClass()}} my_planHeader my_plan2" style="height:50px;padding-top:7px;">
<a ng-if="!isOEM()" href="https://www.repetier.com/qr/s.php?s=buyserver" class="btn btn-primary" target="_blank"><?php _('Buy Now') ?></a>
<a ng-if="isOEM()" href="https://www.repetier.com/qr/s.php?s=buyupgrade" class="btn btn-primary" target="_blank"><?php _('Buy Now') ?></a>
</div>
</div>
</div>
</div>
</div>
<br>&nbsp;<br>
