<div>
<div class="row">
<div class="col-lg-12">
<h1 class="page-header"><i class="fa fa-wrench"></i> <?php _("Troubleshooting") ?></h1>
</div>
</div>
<div class="row" style="margin-bottom:40px">
<div class="col-lg-12">
<h2><?php _('Running Tasks') ?></h2>
<p><?php _('All long computations are are put in an internal and external list and executed one after the other. If you experience that uploaded files do not get rendered or timelapses not converted, it is possible that the currently running task is hanging for some reason.') ?></p>
<p><?php _('Check here the active task and if it does not finish in reasonable time use the Stop Task function (required configuration privileges). Functions requiring the result will not work or images being computed will not show up but following computations should then start to work again.') ?></p>
<table class="table table-bordered table-hover table-responsive table-condensed">
<tr ng-class="{'bg-success': wd.extWaiting<600, 'bg-danger': wd.extWaiting>1200}">
<th colspan="2"><h3><?php _('External Task') ?></h3></th>
</tr>
<tr ng-if="wd.extWaiting===0">
<th colspan="2"><?php _('No Tasks Running') ?></th>
</tr>
<tr ng-if="wd.extWaiting>0">
<th><?php _('Tasks Queued') ?></th>
<td>{{wd.extWaiting}}</td>
</tr>
<tr ng-if="wd.extWaiting>0">
<th><?php _('Type') ?></th>
<td>{{wd.extType}}</td>
</tr>
<tr ng-if="wd.extWaiting>0">
<th><?php _('Data') ?></th>
<td style="word-break: break-all">{{wd.extData}}</td>
</tr>
<tr ng-if="wd.extWaiting>0">
<th><?php _('Time Running') ?></th>
<td>{{wd.extTime|number:0}}s</td>
</tr>
<tr ng-show="user.changeConfigPermission && wd.extWaiting>0">
<td></td><td><div class="btn btn-danger" ng-click="stopExt()"><i class="fa fa-stop"></i> Stop Task</div></td>
</tr>
<tr ng-class="{'bg-success': wd.intWaiting<600, 'bg-danger': wd.intWaiting>1200}">
<th colspan="2"><h3><?php _('Internal Task') ?></h3></th>
</tr>
<tr ng-if="wd.intWaiting===0">
<th colspan="2"><?php _('No Tasks Running') ?></th>
</tr>
<tr ng-if="wd.intWaiting>0">
<th><?php _('Tasks Queued') ?></th>
<td>{{wd.intWaiting}}</td>
</tr>
<tr ng-if="wd.intWaiting>0">
<th><?php _('Type') ?></th>
<td>{{wd.intType}}</td>
</tr>
<tr ng-if="wd.intWaiting>0">
<th><?php _('Data') ?></th>
<td>{{wd.intData}}</td>
</tr>
<tr ng-if="wd.intWaiting>0">
<th><?php _('Time Running') ?></th>
<td>{{wd.intTime|number:0}}s</td>
</tr>
<tr ng-show="user.changeConfigPermission && wd.intWaiting>0">
<td></td><td><div class="btn btn-danger" ng-click="stopInt()"><i class="fa fa-stop"></i> Stop Task</div></td>
</tr>
</table>
<h2><?php _('System Errors') ?></h2>
<p><?php _('For debugging reasons, you can trace the last 200 errors that occurred during this runtime here.') ?></p>
<div id="logpanel" class="logpanel select-text" style="height:300px;overflow:scroll" autoscroll2="2"></div>
<h2><?php _('How does it work') ?></h2>
<p><?php _('If you are unsure how some functions are supposed to work, please read our manual.') ?></p>
<a href="/manual/index.html" target="_blank" class="btn btn-primary"><i class="fa fa-question-circle"></i> <?php _('Manual') ?>
</a>
<h2><?php _('Other Problems') ?></h2>
<p><?php _('To solve other problems you should first check our FAQ and if you find no solution to the current problem you should also check our forum. Most problems have already been asked there and if not put the question there to get help on the issue.') ?></p>
<a href="https://www.repetier-server.com/knowledgebase/" target="_blank" class="btn btn-primary"><?php _('FAQ') ?>
<i class="fa fa-external-link-square"></i></a>
<a href="https://forum.repetier.com/categories/repetier-server" target="_blank" class="btn btn-primary margin-left"><?php _('Forum') ?>
<i class="fa fa-external-link-square"></i></a>
</div>
</div>
</div>
