<h1 class="page-header" style="margin-top: 0">
<i class="fa fa-signal"></i> <?php _('Connectivity') ?>
</h1>
<div ng-if="user.showFeature('config-connectivity')">
<h2><?php _('Server Name') ?></h2>
<p><?php _('The server name is used to identify multiple instances. Each server gets a name at first startup, but you can change the name any time. Referencing servers will automatically rename to the new name. The UUID is used for connection to the cloud and therefore must be unique for all servers.') ?></p>
<p><?php _('Server Name') ?>: <strong style="word-break: break-all" class="select-text">{{connect.servername}}</strong> <button class="btn btn-xs btn-primary margin-left" ng-click="toClipboard(connect.servername)"><i class="fa fa-copy"></i></button><br>
<?php _('Server UUID') ?>: <strong class="select-text">{{connect.serveruuid}}<button class="btn btn-xs btn-primary margin-left" ng-click="toClipboard(connect.serveruuid)"><i class="fa fa-copy"></i></button></strong>
</p>
<div class="margin-top" style="display: inline-block">
<button ng-click="newServerName()" class="btn btn-primary" style="margin-right:10px"><i class="fa fa-edit rs-bigtab"></i> <?php _('Change Server Name') ?></button>
</div>
<div class="margin-top" style="display: inline-block">
<button ng-click="newServerUUID()" class="btn btn-primary"><i class="fa fa-refresh rs-bigtab"></i> <?php _('New Server UUID') ?></button>
</div>
<h2><?php _('API Key') ?></h2>
<p><?php _('With the API Key you can get complete access to the server. This is used to allow servers to communicate with each others or to add connectivity with other software without the use of login/password. Keep it secret or change it if you think it got compromised.') ?></p>
<p><?php _('Current API Key') ?>: <strong class="select-text">{{connect.APIKEY}}</strong><button class="btn btn-xs btn-primary margin-left" ng-click="toClipboard(connect.APIKEY)"><i class="fa fa-copy"></i></button></p>
<button ng-click="newAPIKey()" class="btn btn-primary"><i class="fa fa-refresh rs-bigtab"></i> <?php _('Replace with new API Key') ?></button>
<h2><?php _('Alternative Servers') ?></h2>
<p><?php _('If this server runs on a slow machine, it might be useful to do delegate cpu or memory intensive tasks to other instances on other computers. It is not necessary, that the other instance is configured for any printer. It must be running, that is all that is required. So if you have a pc that runs anyway you might want to add the pc to the list. If no other server in this list is reachable, the server tries to run it locally.') ?></p>
<div class="table-responsive">
<table class="table table-hover table-striped">
<tbody>
<tr>
<th><?php _('Name') ?></th>
<th><?php _('API key') ?></th>
<th><?php _('IP') ?></th>
<th><?php _('Port') ?></th>
<th style="width:110px" colspan="2"><button class="btn btn-xs btn-primary" ng-click="newRemote()" title="<?php _('Add new existing server for cloud computations') ?>"><i class="fa fa-plus"></i> <?php _('Add') ?></button></th>
</tr>
<tr ng-repeat-start="r in connect.remoteServer track by $index" ng-class="{'bg-danger':!findStatus(r).reachable, 'bg-success':findStatus(r).reachable}">
<th style="word-break: break-all">{{r.name}} <span ng-if="r.version">({{r.version}})</span></th>
<td class="select-text nowrap">{{r.apikey}}<button class="btn btn-xs btn-primary margin-left" ng-click="toClipboard(r.apikey)"><i class="fa fa-copy"></i></button></td>
<td class="select-text nowrap">{{r.ip}}<button class="btn btn-xs btn-primary margin-left" ng-click="toClipboard(r.ip)"><i class="fa fa-copy"></i></button></td>
<td class="select-text nowrap">{{r.port}}<button class="btn btn-xs btn-primary margin-left" ng-click="toClipboard(r.port)"><i class="fa fa-copy"></i></button></td>
<td class="nowrap">
<button class="btn btn-xs btn-default" ng-show="!$first" ng-click="remoteUp($index)" title="<?php _('Move up') ?>"><i class="fa fa-arrow-up"></i></button>
<button class="btn btn-xs btn-default" ng-show="!$last" ng-click="remoteDown($index)" title="<?php _('Move down') ?>"><i class="fa fa-arrow-down"></i></button>
</td>
<td>
<button class="btn btn-xs btn-primary margin-left" ng-click="editRemote($index)" title="<?php _('Edit') ?>"><i class="fa fa-edit"></i></button>
</td>
</tr>
<tr ng-repeat-end>
<td></td>
<td colspan="3">
<div ng-bind-html="findStatus(r).info"></div>
<?php _('Used for time intensive computations:') ?> {{r.computations | yesno}}<br>
<?php _('Show stored Projects:') ?> {{r.projects | yesno}}
</td>
<td></td>
<td></td>
</tr>
</tbody>
</table>
</div>
<div ng-if="!hasLocalCloud" class="alert alert-warning margin-top"><?php _('This feature requires the Pro version!') ?>
</div>
<h2><?php _('Server Domain') ?></h2>
<div class="well">
<p><?php _('If you have set up an external route with domain name and port, you can enter the connection data here to show it for example as QR code on the dashboard.') ?></p>
<div class="form-group">
<label for="serverDomain"><?php _('Server Domain Name/Static IP') ?></label>
<input type="text" class="form-control" id="serverDomain" placeholder="" ng-model="externalAccess.domain">
</div>
<div class="form-group">
<label for="serverPort"><?php _('Port') ?></label>
<input type="number" class="form-control" id="serverPort" placeholder="3344" ng-model="externalAccess.port">
</div>
<div class="btn btn-primary" ng-click="saveDomain()"><i class="fa fa-save"></i> <?php _('Save') ?></div>
</div>
</div>
