<h1 class="page-header" style="margin-top: 0"><i class="fa fa-globe"></i> <?php _('External Links') ?></h1>
<div>
<div ng-if="!edit && user.showFeature('config-external-links')">
<div class="alert alert-info">
<p><?php _('You can associate external web pages with the interface. These links can be opened internally or in a new window.') ?></p>
</div>
<div class="table-responsive">
<table class="table table-striped table-bordered2 vmiddle">
<thead>
<tr>
<th><?php _('Title') ?></th>
<th class="text-center"><?php _('Printer bound') ?></th>
<th class="text-center"><?php _('GUI') ?></th>
<th class="text-center"><?php _('Touchscreen') ?></th>
<th class="text-center" style="width: 95px"></th>
</tr>
</thead>
<tbody dnd-list="editLinks" dnd-type="tr" style="cursor:move">
<tr class="dndPlaceholder">
<td colspan="5">&nbsp;</td>
</tr>
<tr ng-repeat="wc in editLinks" dnd-draggable="wc" dnd-moved="editLinks.splice($index, 1)" dnd-effect-allowed="move" dnd-dragend="onDragEnd(event)">
<td><rs-icon icon="fa fa-external-link" style="width: 35px" icon-img="wc.icon"></rs-icon>{{wc.title}}</td>
<td class="text-center">{{wc.slug ? printerConfig[wc.slug].general.name : "<?php _('No') ?>"}}</td>
<td class="text-center">
<span ng-if="wc.gui">{{wc.openExternal ? "<?php _('External') ?>" : "<?php _('Internal') ?>"}}</span>
<span ng-if="!wc.gui"><?php _('No') ?></span>
</td>
<td class="text-center">{{wc.touchscreen ? "<?php _('Yes') ?>" : "<?php _('No') ?>"}}</td>
<td class="nowrap">
<div class="btn btn-primary btn-xs margin-right margin-left" ng-click="editLink(wc)" title="<?php _('Edit') ?>">
<i class="fa fa-edit"></i></div>
<div class="btn text-danger btn-xs margin-left" ng-click="remove(wc)" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o rs-bigger"></i></div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="clearfix">
</div>
<div class="margin-top">
<button class="btn btn-primary margin-top" ng-click="addLink()">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add External Link') ?>
</button>
</div>
</div>
</div>
<div ng-if="edit && user.showFeature('config-external-links')">
<div class="well">
<ng-form name="formEdit">
<h2>{{edit.title}}</h2>
<label class="margin-top"><?php _('Title') ?></label>
<input class="form-control" ng-model="edit.title" required>
<label class="margin-top"><?php _('URL') ?></label>
<input class="form-control" ng-model="edit.href" required>
<div><small><?php _('The special IP 0.0.0.0 will be replaced by the server IP!') ?></small></div>
<label class="margin-top"><?php _('Icon (optional)') ?></label>
<rs-icon-editor ng-model="edit.icon" default-icon="fa fa-external-link"></rs-icon-editor>
<label class="margin-top"><?php _('Printer Association') ?></label>
<select class="form-control primary-select" ng-model="edit.slug" ng-options="g.s as g.n for g in slugList"></select>
<div class="margin-top">
<label>
<input type="checkbox" class="" ng-model="edit.gui">
<?php _('Show in regular GUI') ?>
</label>
</div>
<div class="margin-top margin-left" ng-if="edit.gui">
<label>
<input type="checkbox" class="" ng-model="edit.openExternal">
<?php _('Open in new window') ?>
</label>
</div>
<div class="margin-top">
<label>
<input type="checkbox" class="" ng-model="edit.touchscreen">
<?php _('Show on printer touchscreen') ?>
</label>
</div>
<label class="margin-top" style="margin-bottom: 0"><?php _('Needed Permissions') ?></label>
<div><small><?php _('Only Users with one of the following permissions can see the link. Leave all disabled for all Users') ?></small></div>
<div class="margin-top">
<label class="margin-right">
<input type="checkbox" class="" ng-model="permSettings.config">
<?php _('Config Permissions') ?>
</label>
<label>
<input type="checkbox" class="" ng-model="permSettings.print">
<?php _('Printing Permissions') ?>
</label>
</div>
<div class="clearfix">
<div class="flex-toolbar margin-top" style="justify-content: flex-end;">
<div class="btn btn-primary" ng-click="save()" ng-disabled="!testSave()">
<span><i class="fa fa-save rs-bigtab"></i> <?php _('Save External Link') ?></span>
</div>
<div class="btn btn-default" ng-click="cancel()"><i class="fa fa-times"></i> Cancel</div>
</div>
</div>
</ng-form>
</div>
</div>
