<h1 class="page-header" style="margin-top: 0"><i class="rs rs-mqtt"></i> MQTT - {{mqttState.connected ? "<?php _('Connected') ?>" : "<?php _('Disconnected') ?>"}}</h1>
<div class="alert alert-info" ng-if="!isPro()">
<h3 style="margin-top:0"><?php _('Version Information') ?></h3>
<i class="fa fa-info-circle"></i>
<?php _('MQTT functionality exclusively comes with the Pro version.') ?>
</div>
<div class="alert alert-danger" ng-if="mqttState.lastError">
<h3 style="margin-top:0"><?php _('Last Error:') ?></h3>
<i class="fa fa-error"></i> {{mqttState.lastError}}
</div>
<form novalidate name="mqttForm" class="form-horizontal" ng-if="mqtt">
<div class="margin-bottom">
<div class="checkbox">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.active"></boolswitch>
&nbsp;<?php _('MQTT Active') ?>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Root Topic') ?></label>
<div class="col-sm-9">
<input type="text" ng-model="mqtt.rootTopic" class="form-control" required="required" spellcheck="false">
<small><?php _('Use %UUID as placeholder for server UUID to get an unique root topic') ?></small>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Domain') ?></label>
<div class="col-sm-9">
<input type="text" ng-model="mqtt.domain" class="form-control" required="required" spellcheck="false">
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Port') ?></label>
<div class="col-sm-9">
<div class="input-group">
<input type="number" ng-model="mqtt.port" class="form-control" min="0" max="65535" required="required">
<small><?php _('Default ports: TCP: 1883, TCP secure: 8883') ?></small>
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('MQTT Version') ?></label>
<div class="col-sm-9">
<div class="input-group">
<select class="form-control" ng-model="mqtt.mqttVersion" ng-options="item.id as item.name for item in mqttVersion"></select>
</div>
</div>
</div>
<div class="form-group" ng-if="mqtt.mqttVersion===5">
<label class="col-sm-3 control-label"><?php _('Session expiry interval') ?></label>
<div class="col-sm-9">
<div class="input-group">
<input type="number" ng-model="mqtt.session_expiry_interval" class="form-control" min="0" required="required">
<small><?php _('Time to keep session alive if broker connection gets disconnected.') ?></small>
</div>
</div>
</div>
<div class="form-group" ng-if="mqtt.mqttVersion===5">
<label class="col-sm-3 control-label"><?php _('Message expiry interval') ?></label>
<div class="col-sm-9">
<div class="input-group">
<input type="number" ng-model="mqtt.message_expiry_interval" class="form-control" min="0" required="required">
<small><?php _('Time to keep a send message with QoS > 0 in case a client with persistent connection disappears.') ?></small>
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Max. inflight messages') ?></label>
<div class="col-sm-9">
<div class="input-group">
<input type="number" ng-model="mqtt.max_inflight_messages" class="form-control" min="0" required="required">
<small><?php _('Max. number of unacknowledges messeges with QoS > 0') ?></small>
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('User') ?></label>
<div class="col-sm-9">
<input type="text" ng-model="mqtt.user" class="form-control" spellcheck="false">
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Password') ?></label>
<div class="col-sm-9">
<input type="password" ng-model="mqtt.password" class="form-control">
</div>
</div>
<div class="form-group">
<div class="col-sm-9 col-sm-offset-3">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.secure"></boolswitch>
&nbsp;<?php _('Enable TLS') ?>
</div>
</div>
<div class="form-group">
<div class="col-sm-9 col-sm-offset-3">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.validateCertificate"></boolswitch>
&nbsp;<?php _('Validate certificate') ?>
</div>
</div>
<h3><?php _('Active MQTT Features') ?></h3>
<div class="form-group">
<div class="col-sm-9 col-sm-offset-3">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.allowInServerCommands"></boolswitch>
&nbsp;<?php _('Allow MQTT broker access in server commands') ?>
</div>
</div>
<div class="form-group">
<div class="col-sm-9 col-sm-offset-3">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.allowCmdGCode"></boolswitch>
&nbsp;<?php _('Allow execution of incoming g-code') ?>
</div>
</div>
<div class="form-group">
<div class="col-sm-9 col-sm-offset-3">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.allowCmdEvents"></boolswitch>
&nbsp;<?php _('Allow execution of incoming events') ?>
</div>
</div>
<div class="form-group">
<div class="col-sm-9 col-sm-offset-3">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.allowCmdRPC"></boolswitch>
&nbsp;<?php _('Execute incoming remote procedure calls') ?>
</div>
</div>
<div class="form-group">
<div class="col-sm-9 col-sm-offset-3">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.sendState"></boolswitch>
&nbsp;<?php _('Send printer states') ?>
</div>
</div>
<div class="form-group">
<div class="col-sm-9 col-sm-offset-3">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.retainBasicState"></boolswitch>
&nbsp;<?php _('Set RETAIN flag for basic and state data') ?>
</div>
</div>
<div class="form-group">
<div class="col-sm-9 col-sm-offset-3">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.sendEvents"></boolswitch>
&nbsp;<?php _('Send events') ?>
</div>
<div class="col-sm-9 col-sm-offset-3 margin-top" style="padding-left:30px" ng-if="mqtt.sendEvents">
<strong>Except these events:</strong>
<ul class="list-group" style="text-align: left">
<li ng-repeat="e in mqtt.eventExceptions track by $index" class="list-group-item" style="padding: 5px 15px">
{{e}}
<div class="btn btn-xs text-danger pull-right" style="font-size:18px" ng-click="mqtt.eventExceptions.splice($index, 1)" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o"></i></div>
</li>
</ul>
<div class="form-inline">
<div class="form-group" style="margin: 0">
<input type="text" ng-model="newEvent" class="form-control" style="max-width:200px;display:inline-block">
<div ng-click="addEventException(newEvent);newEvent=''" class="btn btn-default"><i class="fa fa-plus"></i>
</div>
</div>
</div>
</div>
</div>
<div class="form-group">
<div class="col-sm-9 col-sm-offset-3">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="mqtt.sendHomeassistant"></boolswitch>
&nbsp;<?php _('Enable Home Assistant discovery - this creates a lot of predefined entities!') ?>
</div>
</div>
<div class="form-group" ng-if="mqtt.sendHomeassistant">
<label class="col-sm-3 control-label"><?php _('Home Assistant discovery prefix') ?></label>
<div class="col-sm-9">
<input type="text" ng-model="mqtt.homeassistantDiscoveryPrefix" class="form-control" placeholder="homeassistant" spellcheck="false" required="required">
</div>
</div>
<p class="alert alert-info" ng-if="!isPro">
<i class="fa fa-info"></i> <?php _('MQTT is only available for the Pro version!') ?></p>
<div class="btn btn-primary" ng-click="saveMQTT()" ng-disabled="mqttForm.$invalid">
<i class="fa fa-save rs-bigtab"></i> <?php _('Save') ?></div>
</form>
<br>
