<h1 class="page-header" style="margin-top: 0"><i class="rs rs-pushmessage"></i> <?php _('Push Messages') ?></h1>
<div class="alert alert-info">
<?php _('Prints can take hours or days. Therefore you can not supervise it all the time. To keep you informed about important notices like finished prints, you can receive push messages via <a href="http://www.repetier-apps.com" target="_blank">Repetier-Informer</a> on your smartphone.') ?></div>
<form class="form-horizontal" ng-if="user.showFeature('config-push-messages')">
<fieldset>
<legend><?php _('Push Messages') ?></legend>
<div class="form-group">
<label class="col-md-4 control-label"><?php _('Send Messages for') ?></label>
<div class="col-md-8">
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="serverSettings.g_push_print_finished" changed="serverSettingsChanged()"></boolswitch>
&nbsp;<?php _('Print finished') ?>
</div>
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="serverSettings.g_push_print_started" changed="serverSettingsChanged()"></boolswitch>
&nbsp;<?php _('Print started') ?>
</div>
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="serverSettings.g_push_print_paused" changed="serverSettingsChanged()"></boolswitch>
&nbsp;<?php _('Print paused') ?>
</div>
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="serverSettings.g_push_print_stopped" changed="serverSettingsChanged()"></boolswitch>
&nbsp;<?php _('Print stopped') ?>
</div>
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="serverSettings.g_push_print_error" changed="serverSettingsChanged()"></boolswitch>
&nbsp;<?php _('Severe error') ?>
</div>
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="serverSettings.g_push_print_busy" changed="serverSettingsChanged()">
</boolswitch>
&nbsp;<?php _('Long time busy - timeout:') ?>
<span class="input-group" style="width:100px;display: inline-flex;">
<input type="number" class="form-control" ng-model="$parent.timeout" min="10" step="1">
<span class="input-group-addon" style="line-height:20px;width:auto">s</span>
</span>
</div>
</div>
</div>
</fieldset>
<fieldset>
<legend>Repetier-Informer</legend>
<div class="form-group">
<label class="col-md-4 control-label" for="checkboxes"></label>
<div class="col-md-8">
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="serverSettings.g_push_active" changed="serverSettingsChanged()"></boolswitch>
&nbsp;<?php _('Activate Push Messages') ?>
</div>
</div>
</div>
<div class="form-group">
<label class="col-md-4 control-label"><?php _('Informer Group') ?></label>
<div class="col-md-8">
<input ng-model="$parent.groupId" type="text" placeholder="<?php _('Enter Informer Group Name') ?>" class="form-control input-md">
</div>
</div>
<div class="form-group margin-top">
<label class="col-md-4 control-label"><?php _('URL') ?></label>
<div class="col-md-8">
<input ng-model="serverSettings.g_push_url" type="text" placeholder="<?php _('Optional URL') ?>" class="form-control input-md" ng-model-options="{updateOn:'blur'}" ng-change="serverSettingsChanged()">
<small><?php _('You can set it to the external URL of this server, so you can access it when you get a message. This normally requires a forwarded port from your router to this device and a dynamic dns entry!') ?></small>
</div>
</div>
<div class="form-group">
<div class="margin-top col-md-8 col-md-offset-4">
<button class="btn btn-primary" ng-click="sendTestMessage('repetierInformer')" ng-disabled="!serverSettings.g_push_active">
<i class="fa fa-bell rs-bigtab"></i> <?php _('Send Test Message') ?></button>
</div>
</div>
</fieldset>
<fieldset>
<legend style="margin-bottom: 10px">Pushover</legend>
<div style="margin-bottom: 10px">
<small ng-if="!isPro() && !isLight()"><?php _('A Pro or light licence is required for this function. For testing purposes, the function can be configured and test messages can be sent.') ?></small>
</div>
<div class="form-group" style="margin-top: 10px">
<label class="col-md-4 control-label" for="checkboxes"></label>
<div class="col-md-8">
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="serverSettings.g_pushover_push_active" changed="serverSettingsChanged()"></boolswitch>
&nbsp;<?php _('Activate Push Messages') ?>
</div>
</div>
</div>
<div class="form-group margin-top">
<label class="col-md-4 control-label"><?php _('Application Token') ?></label>
<div class="col-md-8">
<input ng-model="serverSettings.g_pushover_push_token" type="text" placeholder="<?php _('Application Token') ?>" class="form-control input-md" ng-model-options="{updateOn:'blur'}" ng-change="serverSettingsChanged()">
<small><?php _('You have to create your own application token by creating your own application token for pushover. Click the button below to get started.') ?></small>
</div>
</div>
<div class="form-group margin-top">
<div class="margin-top col-md-8 col-md-offset-4">
<button class="btn btn-primary" onclick="window.open('https://pushover.net/apps/clone/repetier-server');">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Create Application Token') ?></button>
</div>
</div>
<div class="form-group margin-top">
<label class="col-md-4 control-label"><?php _('User Key') ?></label>
<div class="col-md-8">
<input ng-model="serverSettings.g_pushover_push_userkey" type="text" placeholder="<?php _('User Key') ?>" class="form-control input-md" ng-model-options="{updateOn:'blur'}" ng-change="serverSettingsChanged()">
</div>
</div>
<div class="form-group" style="margin-top: 10px">
<label class="col-md-4 control-label" for="checkboxes"></label>
<div class="col-md-8">
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="serverSettings.g_pushover_push_image" changed="serverSettingsChanged()"></boolswitch>
&nbsp;<?php _('Include Webcam Images') ?>
</div>
</div>
</div>
<div class="form-group">
<div class="margin-top col-md-8 col-md-offset-4">
<button class="btn btn-primary" ng-click="sendTestMessage('pushover')" ng-disabled="!serverSettings.g_pushover_push_active || serverSettings.g_pushover_push_token === '' || serverSettings.g_pushover_push_userkey === ''">
<i class="fa fa-bell rs-bigtab"></i> <?php _('Send Test Message') ?></button>
</div>
</div>
</fieldset>
<fieldset>
<legend style="margin-bottom: 10px"><?php _('Third-Party') ?></legend>
<div style="margin-bottom: 10px">
<small ng-if="!isPro()"><?php _('A Pro licence is required for this function. For testing purposes, the function can be configured and test messages can be sent.') ?></small>
</div>
<div class="form-group" style="margin-top: 10px">
<label class="col-md-4 control-label" for="checkboxes"></label>
<div class="col-md-8">
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="serverSettings.g_ext_push_active" changed="serverSettingsChanged()"></boolswitch>
&nbsp;<?php _('Activate Push Messages') ?>
</div>
</div>
</div>
<div class="form-group margin-top">
<label class="col-md-4 control-label"><?php _('URL') ?></label>
<div class="col-md-8">
<input ng-model="serverSettings.g_ext_push_url" type="text" placeholder="<?php _('Push URL') ?>" class="form-control input-md" ng-model-options="{updateOn:'blur'}" ng-change="serverSettingsChanged()">
<small>{{textThirdParty}}<a target="_blank" href="https://www.repetier-server.com/?post_type=kbe_knowledgebase&p=3115">https://www.repetier-server.com/?post_type=kbe_knowledgebase&p=3115</a>.</small>
</div>
</div>
<div class="form-group">
<div class="margin-top col-md-8 col-md-offset-4">
<button class="btn btn-primary" ng-click="sendTestMessage('thirdParty')" ng-disabled="!serverSettings.g_ext_push_active || serverSettings.g_ext_push_url === ''">
<i class="fa fa-bell rs-bigtab"></i> <?php _('Send Test Message') ?></button>
</div>
</div>
<div class="alert alert-info margin-top"><?php _('All values get stored immediately. No save required.') ?></div>
</fieldset>
</form>
