<h1 class="page-header" style="margin-top: 0"><i class="fa fa-shield"></i> <?php _('Webserver') ?></h1>
<div ng-if="loaded">
<div class="alert alert-danger margin-bottom" ng-if="webserverState.httpsStartError">
<?php _('HTTPS server could not be started due to this error:') ?> {{webserverState.httpsStartError}}
</div>
<div class="alert alert-info margin-bottom" ng-if="webserverState.httpsRunning">
<i class="fa fa-info-circle"></i> <?php _('Connection over https is active. HTTPS Port:') ?> {{ips.httpsPort}}
</div>
<div class="margin-bottom">
<boolswitch class="small" ng-model="webserverData.startIfPossible" changed="dataChanged()"></boolswitch>
<?php _('Start https service if possible') ?>
</div>
<div class="margin-bottom" ng-if="webserverState.hasCertFile">
<a class="btn btn-default" href="/global/webserver/download_cert" target="_blank">
<i class="fa fa-download"></i> <?php _('Download Certificate') ?>
</a>
<div class="btn btn-danger margin-left" ng-click="deleteCert()" target="_blank">
<i class="fa fa-trash"></i> <?php _('Delete Certificate') ?>
</div>
</div>
<div class="alert alert-warning margin-bottom" ng-if="!webserverState.hasCertFile || !webserverState.hasKeyFile">
<i class="fa fa-warning"></i>
<?php _('The certificate or key file is missing. Without it, you cannot use https.') ?>
<?php _('You can either upload a new certificate and key file, or generate a new self-signed certificate.') ?>
</div>
<uib-tabset active="activeTab" style="margin-top:30px">
<uib-tab index="0" heading="<?php _('Generate Certificate') ?>">
<h2><i class="fa fa-gear"></i> Generate a Self Signed Certificate</h2>
<div class="form-group">
<label class="control-label"><?php _('Common Name') ?></label>
<input type="text" class="form-control" ng-model="webserverData.commonName" placeholder="<?php _('Common name for certificate. Use a domain or what you want. The alternative names section gets used for url matching.') ?>" required>
</div>
<div class="form-group">
<label class="control-label"><?php _('Organization') ?></label>
<input type="text" class="form-control" ng-model="webserverData.organization" placeholder="<?php _('Your organization name.') ?>" required>
</div>
<div class="form-group">
<label class="control-label"><?php _('Organization Unit') ?></label>
<input type="text" class="form-control" ng-model="webserverData.organizationUnit" placeholder="<?php _('Your organization unit.') ?>">
</div>
<div class="form-group">
<label class="control-label"><?php _('Country Code') ?></label>
<input type="text" class="form-control" ng-model="webserverData.country" placeholder="<?php _('Uppercase 2 letter country code.') ?>" required>
</div>
<div class="form-group">
<label class="control-label"><?php _('Validity in Days') ?></label>
<input type="number" step="1" min="1" class="form-control" ng-model="webserverData.expireDays" placeholder="<?php _('Uppercase 2 letter country code.') ?>" required>
</div>
<div class="margin-bottom">
<button class="btn btn-primary" ng-click="dataChanged()"><i class="fa fa-save"></i> <?php _('Save') ?></button>
</div>
<h3><?php _('Domains for certificate') ?></h3>
<ul class="list-group">
<li class="list-group-item" ng-repeat="i in webserverData.dnsList">{{i}}&nbsp;
<div class="btn btn-danger btn-xs pull-right" ng-click="removeDNS(i)">
<i class="fa fa-trash-o"></i></div>
</li>
<li class="list-group-item">
<div class="form-group input-group" style="margin-bottom:0">
<input type="text" class="form-control" ng-model="edit.newDNS" placeholder="<?php _('DNS') ?>">
<span class="input-group-btn">
<button class="btn btn-primary" type="button" ng-disabled="!edit.newDNS" ng-click="addDNS()"><i class="fa fa-plus"></i> <?php _('Add') ?></button>
</span>
</div>
</li>
</ul>
<h3><?php _('IPs for certificate') ?>
<div class="btn btn-primary pull-right" ng-click="addActiveIPs()"><?php _('Add current IPs') ?></div>
</h3>
<ul class="list-group">
<li class="list-group-item" ng-repeat="i in webserverData.ipList">{{i}}&nbsp;
<div class="btn btn-danger btn-xs pull-right" ng-click="removeIp(i)">
<i class="fa fa-trash-o"></i></div>
</li>
<li class="list-group-item">
<div class="form-group input-group" style="margin-bottom:0">
<input type="text" class="form-control" ng-model="edit.newIp" placeholder="<?php _('IP address') ?>">
<span class="input-group-btn">
<button class="btn btn-primary" type="button" ng-disabled="!edit.newIp" ng-click="addIp(newIp)"><i class="fa fa-plus"></i> <?php _('Add') ?></button>
</span>
</div>
</li>
</ul>
<div class="alert alert-warning margin-bottom" ng-if="httpType==='https'">
<?php _('You are already connected over https. Generating the new certificate will change to an untrusted certificate and you will loose connection. Reload website and login again after certificate generation!') ?>
</div>
<div class="margin-bottom">
<button type="button" class="btn btn-primary btn-lg" ng-click="generateCertificate()" style="width:100%"><?php _('Generate and Install Certificate') ?></button>
</div>
<div class="margin-bottom">
<small><?php _('Note: This will overwrite the existing certificate. The new certificate is self-signed and will not be trusted by your browser, unless you explicitly install it as trusted certificate.') ?></small>
</div>
</uib-tab>
<uib-tab index="1" heading="<?php _('Upload Certificate') ?>">
<h2><i class="fa fa-upload"></i> Upload a Certificate and Key File</h2>
<p><?php _('If you have already installed a root certificate to your browsers or you can create trusted certificates, you can upload an existing certificate here.') ?></p>
<p><?php _('Make sure it contains all DNS and IP entries you plan to use as alternative names!') ?></p>
<form enctype="multipart/form-data" method="post" action="/global/webserver/uploadCerts" id="formUploadCert">
<div class="row margin-bottom">
<div class="col-sm-6 col-xs-12">
<div class="btn btn-default btn-file btn-lg btn-block" style="height: 70px;flex-direction: column;">
<div><i class="fa fa-upload rs-bigtab"></i> <?php _('Private Key') ?></div>
<div style="font-size:70%">{{keyFile()}}</div>
<input type="file" name="keyFile" id="keyFile">
</div>
</div>
<div class="col-sm-6 col-xs-12">
<div class="btn btn-default btn-file btn-lg btn-block" style="height: 70px;flex-direction: column;">
<div><i class="fa fa-upload rs-bigtab"></i> <?php _('Certificate') ?></div>
<div style="font-size:70%">{{certFile()}}</div>
<input type="file" name="certFile" id="certFile">
</div>
</div>
</div>
<div class="alert alert-warning margin-bottom" ng-if="httpType==='https'">
<?php _('You are already connected over https. If the certificate files are invalid or untrusted, you can not connect over https any more. In that case login using the http connection!') ?>
</div>
<div class="margin-bottom">
<div class="btn btn-primary btn-block" ng-disabled="noFile()" ng-click="uploadCert()">
<i class="fa fa-upload-cloud"></i> <?php _('Upload Key and Certificate File') ?></div>
</div>
</form>
</uib-tab>
</uib-tabset>
</div>
