<!DOCTYPE html>
<html lang="<?php _('LANGUAGE') ?>" ng-app="server" ng-strict-di ng-controller="ServerController" data-theme="light">
<head>
<script type="text/javascript">
window.lang = "<?php _('LANGUAGE') ?>"
</script>
<style type="text/css">
[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
      display: none !important;
    }
</style>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="chrome=1, IE=edge">
<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1">
<meta name="description" content="<?php _('PROJECT_NAME') ?> for 3d printer">
<meta name="author" content="Roland Littwin">
<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
<link rel="apple-touch-icon" href="/img/touch-icon-iphone.png">
<link rel="apple-touch-icon" sizes="72x72" href="/img/touch-icon-ipad.png">
<link rel="apple-touch-icon" sizes="114x114" href="/img/touch-icon-iphone4.png">
<link rel="apple-touch-icon" sizes="180x180" href="/img/apple-touch-icon.png?v=m2LOkK5k8M">
<link rel="icon" type="image/png" sizes="32x32" href="/img/favicon-32x32.png?v=m2LOkK5k8M">
<link rel="icon" type="image/png" sizes="192x192" href="/img/android-chrome-192x192.png?v=m2LOkK5k8M">
<link rel="icon" type="image/png" sizes="16x16" href="/img/favicon-16x16.png?v=m2LOkK5k8M">
<link rel="manifest" href="/img/site.webmanifest?v=m2LOkK5k8M">
<link rel="mask-icon" href="/img/safari-pinned-tab.svg?v=m2LOkK5k8M" color="#5bbad5">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="/img/mstile-144x144.png?v=m2LOkK5k8M">
<meta name="theme-color" content="#ffffff">
<link rel="stylesheet" href="../css/combined.css?v=<?php _('PROJECT_VERSION') ?>">
<link rel="stylesheet" href="../css/extra-classes.css?v=<?php _('PROJECT_VERSION') ?>">
<?php _('modCSS') ?>
<title>{{titlePrepend}}{{serverSettings.servername ? serverSettings.servername : ''}} - <?php _('PROJECT_NAME_VERSION') ?></title>
</head>
<body class="noselect">
<div id="wrapper" style="overflow: auto">
<div id="menucontainer" style="position: relative"></div>
<nav class="navbar navbar-main ng-cloak" role="navigation" style="min-height: 48px">
<div ng-class="{'limit-width':!view.showLeft,'limit-width-include-left':view.showLeft, 'limit-width-fullscreen':view.showFullscreen }">
<div class="navbar-header">
<a class="navbar-brand" ui-sref="start"><img src="/img/logo-60.png" style="width:30px;height:30px;float:left;margin-right:8px;margin-top:-5px"> <?php _('PROJECT_NAME_VERSION') ?>
<span class="visible-md-inline visible-lg-inline"><span style="word-break: break-all" ng-if="serverSettings.servername">- {{serverSettings.servername}}</span></span>
</a>
</div>
<ul class="nav navbar-top-links navbar-right">
<li ng-show="user.loggedIn()">
<a ui-sref="home" title="<?php _('Dashboard') ?>"><i class="fa fa-home"></i></a>
</li>
<li ng-if="user.showFeature('projects') && user.seeProjectsPermission">
<a ui-sref="browse_projects({serverid:'',folderid:0})" title="<?php _('Projects') ?>"><i class="fa fa-archive"></i></a>
</li>

<li rs-dropdown dropdown-append-to-body ng-if="user.isLoggedIn && !view.showLeft" is-open="$parent.menuPrinter">
<a rs-dropdown-toggle href="javascript:void(0)" title="<?php _('Printer List') ?>">
<i class="rs rs-printer"></i>
<span ng-show="printerWithJobs.length" class="badge badge-menu" ng-bind="printerWithJobs.length"></span>
</a>
<ul rs-dropdown-menu class="dropdown-tasks">
<li ng-repeat="p in printerListActive track by $index">
<a ng-click="showPrinter(p.slug)" style="min-width: 300px">
<table style="width:100%;">
<tr>
<td>
{{p.name}}
<span style="position:absolute;right:0;margin-right:10px">
<span ng-bind-html="p | online | unsafe"></span>
<span style="font-size: 12px;position:absolute;display: inline-block;top:-4px;right:-15px" ng-if="printer[p.slug].status.online === 1 && printer[p.slug].state.condition !== 1" ng-bind-html="printer[p.slug] | printerConditionIcon | unsafe"></span>
</span>
</td>
</tr>
<tr>
<th ng-if="p.done && p.jobstate === 'running'">
<div class="progress active" style="margin:0;">
<div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="printer[p.slug].status.done" aria-valuemin="0" aria-valuemax="100" style="width: {{printer[p.slug].status.done}}%">
<div class="metertext" style="font-weight: normal; margin-bottom: 0" ng-show="printer[p.slug].state.isJobActive">
<?php _('ETA') ?>
{{(stateTime + 1000 * (printer[p.slug].status.printTime - printer[p.slug].status.printedTimeComp)) | date:'short'}} &nbsp;&nbsp; | &nbsp;&nbsp;
<?php _('ETE') ?>
{{printer[p.slug].status.printTime - printer[p.slug].status.printedTimeComp | dhms}}
</div>
</div>
</div>
</th>
</tr>
</table>
</a>
</li>
<li ng-show="printerListActive.length == 0">
<a href="javascript:void(0)"><?php _('No printers defined') ?></a>
</li>
</ul>
</li>
<li rs-dropdown dropdown-append-to-body ng-show="user.printPermission" ng-click="$event.stopPropagation()" is-open="menuMessages">
<a rs-dropdown-toggle href="javascript:void(0)" title="<?php _('Your Messages') ?>">
<i class="fa fa-envelope fa-fw"></i>
<span ng-show="messages.length" class="badge badge-menu" ng-bind="messages.length"></span>
</a>
<ul rs-dropdown-menu class="dropdown-messages">
<li class="menu-message clearfix zoomOut" ng-if="messages.length>1">
<a ng-click="closeMessages();RSMessages.removeAll()" class="btn btn-sm btn-danger pull-right dangermenubtn" style="padding: 8px !important;min-height: 0!important;">
<i class="fa fa-trash"></i>
</a>
<div class="menumesg"><?php _('Clear all Messages') ?></div>
</li>
<li ng-repeat="m in messages track by m.id" class="menu-message clearfix zoomOut">
<a ng-click="RSMessages.remove(m)" class="btn btn-danger pull-right dangermenubtn" style="padding: 8px !important;">
<i class="fa fa-2x" ng-class="{'fa-trash':!m.pause,'fa-play-circle-o':m.pause}"></i>
</a>
<div class="menumesg">
<strong>{{printer[m.slug].status.name}}</strong><span class="pull-right text-muted"><em>{{m.date | date:'short'}}</em></span>
<div style="word-break: break-word">{{m.msg}}</div>
</div>
</li>
<li ng-show="messages.length == 0">
<a href="javascript:void(0)" ng-click="closeMessages()"><?php _('No open messages') ?></a>
</li>
</ul>
</li>
<li ng-if="$root.supportsFullscreen">
<a href="javascript:void(0)" ng-click="toggleFullscreen()" title="<?php _('Switch to Full Screen') ?>"><i class="fa fa-arrows-alt"></i></a>
</li>
<li ng-if="update && update.teaser && !update.licensed">
<a ng-if="update.teaser.available && update.teaser.end>timeMS && update.teaser.start<timeMS" href="{{update.teaser.url}}" target="_blank">
<i class="rs rs-discount-percent" style="color:#ffc967" title="{{update.teaser.msg}}"></i>
</a>
<a ng-if="!update.teaser.available || update.teaser.end<timeMS || update.teaser.start>timeMS" href="https://www.repetier.com/qr/s.php?s=buyserver" target="_blank">
<i class="fa fa-shopping-cart" title="<?php _('Get your PRO license now!') ?>"></i>
</a>
</li>
<li rs-dropdown dropdown-append-to-body ng-show="user.loggedIn() && hardwareInfo.maxUrgency>=0" is-open="menuHardware">
<a rs-dropdown-toggle href="javascript:void(0)">
<i ng-class="hardwareInfo.boltClass"></i>
</a>
<ul rs-dropdown-menu class="dropdown-user">
<li ng-repeat="s in hardwareInfo.list" ng-show="s.urgency">
<a ng-href="{{s.url}}" target="_blank">
<rs-menu-icon icon="{{s.iconClass}}"></rs-menu-icon>
<span ng-bind-html="s.content">
</span></a>
</li>
</ul>
</li>
<li rs-dropdown dropdown-append-to-body ng-show="user.loggedIn()" is-open="menuMain">
<a rs-dropdown-toggle href="javascript:void(0)">
<i class="fa fa-gear fa-fw"></i>
</a>
<ul rs-dropdown-menu class="dropdown-user">
<li ng-show="user.adminPermission || user.manageAccountsPermission">
<a ui-sref="userconfig">
<rs-menu-icon icon="fa fa-users"></rs-menu-icon> <?php _('User Profiles') ?>
</a>
</li>
<li ng-show="user.isRealUser">
<a ui-sref="userprofile">
<rs-menu-icon icon="fa fa-user"></rs-menu-icon> <?php _('Edit Profile') ?>
</a>
</li>
<li>
<a ui-sref="gsettings">
<rs-menu-icon icon="fa fa-globe"></rs-menu-icon> <?php _('Global Settings') ?></a>
</li>
<li ng-show="user.changeConfigPermission">
<a ui-sref="update">
<rs-menu-icon icon="fa fa-refresh"></rs-menu-icon> <?php _('Check for Updates') ?></a>
</li>
<li ng-show="user.changeConfigPermission">
<a ui-sref="register">
<rs-menu-icon icon="rs rs-key"></rs-menu-icon> <?php _('Register') ?></a>
</li>
<li ng-show="user.changeConfigPermission && $root.manufacturerNews.length" ng-class="{'bg-warning': $root.newManufacturerNews}">
<a ui-sref="manufacturerNews">
<rs-menu-icon icon="fa fa-flag"></rs-menu-icon>
{{$root.manufacturerNewsTitle}}</a>
</li>
<li>
<a href="/manual/index.html" target="_blank">
<rs-menu-icon icon="fa fa-question-circle"></rs-menu-icon> <?php _('Manual') ?>
</a>
</li>
<li>
<a ui-sref="about">
<rs-menu-icon icon="fa fa-info"></rs-menu-icon> <?php _('About') ?> <?php _('PROJECT_NAME_VERSION') ?>
</a>
</li>
<li>
<a ui-sref="troubleshooting">
<rs-menu-icon icon="fa fa-wrench"></rs-menu-icon> <?php _('Troubleshooting') ?>
</a>
</li>
<li>
<a ui-sref="privacypolicy">
<rs-menu-icon icon="fa fa-lock"></rs-menu-icon> <?php _('Privacy Policy') ?>
</a>
</li>
<li ng-repeat="c in globalExternalLinks track by $index">
<a ng-click="executeGlobalExternalLink(c)" target="_blank">
<rs-menu-icon icon="fa fa-external-link" icon-img="c.icon"></rs-menu-icon>
{{c.title}}</a>
</li>
<li ng-if="user.isRealUser" class="divider"></li>
<li ng-if="user.isRealUser">
<a ng-click="closeMain();user.logout()" ui-sref="login">
<rs-menu-icon icon="fa fa-sign-out"></rs-menu-icon> <?php _('Logout') ?>
{{user.getLogin()}}
</a>
</li>
<li ng-show="user.realUser()" class="divider"></li>
<li ng-repeat="c in externalCommandsFiltered | filter:{remote:true} | matches:'slug':'' track by $index">
<a ng-click="closeMain();overview.runExternalCommand(c.id)" href="javascript:void(0);">
<rs-menu-icon icon="fa fa-external-link" icon-img="c.icon"></rs-menu-icon>
{{c.name}} {{c.slug}}</a>
</li>
<li ng-repeat="c in webCalls | filter:{show_in_menu:true} | matches:'slug':'' track by $index" ng-if="user.printPermission">
<a ng-click="closeMain();runCall(c)" href="javascript:void(0);">
<rs-menu-icon icon="fa fa-globe" icon-img="c.icon"></rs-menu-icon>
{{c.show_name}}</a>
</li>
<li ng-repeat="c in gpio | filter:{showInMenu:true} | matches:'slug':'' track by $index" ng-if="user.printPermission">
<a ng-click="closeMain();runGPIOCall(c)" href="javascript:void(0);">
<rs-menu-icon icon="fa {{c.operation===4 ? 'fa-tachometer' : (c.state ? 'fa-toggle-on' : 'fa-toggle-off')}}" icon-img="c.state ? c.icon : c.iconOff"></rs-menu-icon>
{{c.display}}<span ng-if="c.operation===4"> - {{(c.state ? (c.pwmDutyCycle | number:0) + '%' : "<?php _('Off') ?>")}}</span></a>
</li>
</ul>
</li>
<li rs-dropdown dropdown-append-to-body is-open="menuLanguage">
<a rs-dropdown-toggle href="javascript:void(0)" title="<?php _('Select Language') ?>">
<div style="display: inline-flex">
<img src="/img/flags/<?php _('LANGUAGE') ?>.png" loading="lazy">
</div>
</a>
<ul rs-dropdown-menu class="dropdown-language dropdown-menu-right" style="min-width:20px">
<li ng-repeat="l in supportedLanguages track by $index">
<a href="javascript:void(0)" ng-click="closeLanguage();selectLanguage(l.id)">
<span style="display:inline-block;width:40px;margin-left:8px">
<img ng-src="{{l.flag}}" loading="lazy">
</span>
{{l.name}}</a>
</li>
</ul>
</li>
</ul>
<div style="clear:both"></div>
</div>
</nav>
<div id="page-wrapper" ng-class="{left:view.showLeft && user.isLoggedIn}" ng-cloak>
<div style="display:flex;justify-content: space-evenly;" ng-style="{'justify-content':view.showFullscreen?'':'space-evenly'}">
<div ng-if="user.isLoggedIn && view.showLeft && printerListActive.length>1" class="left-page">
<div class="list-group" style="width:300px;margin-top:50px">
<a href="#" class="list-group-item list-group-item-default"><strong><?php _('Printer') ?></strong></a>
<a ng-class="{active:activeSlug===p.slug}" href="#" ng-repeat="p in printerListActive track by $index" class="list-group-item" ng-click="showPrinter(p.slug)">
<table style="width:100%;">
<tr>
<td>
{{p.name}}
<span style="position:absolute;right:0;margin-right:10px">
<span ng-bind-html="p | online | unsafe"></span>
<span style="font-size: 12px;position:absolute;display: inline-block;top:-4px;right:-15px" ng-if="printer[p.slug].status.online === 1 && printer[p.slug].state.condition !== 1" ng-bind-html="printer[p.slug] | printerConditionIcon | unsafe"></span>
</span>
</td>
</tr>
<tr>
<th ng-if="p.done && p.jobstate === 'running'">
<div class="progress active" style="margin:10px 0 0 0;">
<div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="printer[p.slug].status.done" aria-valuemin="0" aria-valuemax="100" style="width: {{printer[p.slug].status.done}}%">
<div class="metertext" style="font-weight: normal; margin-bottom: 0" ng-show="printer[p.slug].state.isJobActive">
<?php _('ETA') ?>
{{(stateTime + 1000 * (printer[p.slug].status.printTime - printer[p.slug].status.printedTimeComp)) | date:'short'}} &nbsp;&nbsp; | &nbsp;&nbsp;
<?php _('ETE') ?>
{{printer[p.slug].status.printTime - printer[p.slug].status.printedTimeComp | hms}}
</div>
</div>
</div>
</th>
</tr>
</table>
</a>
</div>
<div class="alert alert-info margin-top" ng-if="dispatcherOpen">
<i class="fa fa-info-circle"></i> <?php _('Open slow background computations') ?>: {{dispatcherOpen}}
</div>
</div>
<div ng-class="{'center-page':!view.showFullscreen, 'center-page-fullscreen': view.showFullscreen}" id="center-page">
<div ui-view="" ngx-if="RSCom.wasConnected"></div>
<div class="alert alert-info margin-top" ng-if="dispatcherOpen && user.isLoggedIn && !view.showLeft">
<i class="fa fa-info-circle"></i> <?php _('Open slow background computations') ?>: {{dispatcherOpen}}
</div>
</div>
</div>
</div>
</div>
<iframe name="ihelper" style="visibility: hidden;position: absolute;left: 0; top: 0;height:0; width:0;border: none;"></iframe>
<script src="/js/ui-options.js?v=<?php _('PROJECT_VERSION') ?>"></script>
<script src="/js/polyfill-min.js?v=<?php _('PROJECT_VERSION') ?>"></script>
<script src="/js/libraries-min.js?v=<?php _('PROJECT_VERSION') ?>"></script>
<script src="/js/libraries2-min.js?v=<?php _('PROJECT_VERSION') ?>"></script>
<script src="/js/angular-min.js?v=<?php _('PROJECT_VERSION') ?>"></script>
<script src="/js/angular-i18n/angular-locale_<?php _('LANGUAGE') ?>.js?v=<?php _('PROJECT_VERSION') ?>"></script>
<script src="/js/app-min.js?lang=<?php _('LANGUAGE') ?>&v=<?php _('PROJECT_VERSION') ?>">
</script>
<?php _('modJS') ?>
<script type="application/javascript">
var app = angular.module('server', ['ngAnimate', 'ui.router', 'ui.bootstrap', 'ngSanitize', 'dndLists', 'RSUser', 'RSPrinter', 'RSBase', 'RSWizard', 'RSGSettings', 'LocalStorageModule', 'rzSlider', 'angularTrix'<?php _('modModulesQuoted') ?>])
    .config(['$stateProvider', '$urlRouterProvider', '$compileProvider', 'localStorageServiceProvider', function ($stateProvider, $urlRouterProvider, $compileProvider, localStorageServiceProvider) {
      $compileProvider.debugInfoEnabled(false) // For faster processing disable debug
      $urlRouterProvider.otherwise("/")
      localStorageServiceProvider.setPrefix("RServer")
    }])
</script>
</body>
</html>
