<div>
<div>
<h1><?php _('Printer Configuration Wizard') ?></h1>
</div>
<div class="progress">
<div class="progress-bar" role="progressbar" style="width: {{progress}}%;">
</div>
</div>
<div class="well">
<div ng-if="step==1">
<h2 style="margin-top:0"><?php _('Step 1: Naming') ?></h2>
<p><?php _('This wizard will guide you through the basic setup of a new printer. It will ask only the basic settings and fill in remaining values with values taken from firmware or with default values, so you start quickly. For a perfect setup, you should visit the configuration screen and correct missing or wrong values.') ?></p>
<form novalidate name="form1" class="form-horizontal">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _("Printer Name") ?></label>
<div class="col-sm-9">
<input type="text" class="form-control" ng-model="newprinter.name" placeholder="<?php _('Enter Printer Name') ?>" required>
<inputerror error="newprinter.errors.name"></inputerror>
</div>
</div>
<div class="row equal-heights">
<div class="col-xs-12 col-md-6 col-lg-4">
<div class="panel panel-default panel-equal">
<div class="panel-heading"><?php _('Direct Connection') ?></div>
<div class="panel-body">
Communicates directly with the underlying firmware. This is the most common way to connect to a printer.
</div>
<div class="panel-footer">
<button class="btn btn-primary" ng-disabled="form1.$invalid" ng-click="selectConnector('direct')">
<i class="fa fa-check rs-bigtab"></i> <?php _('Select connector') ?>
</button>
</div>
</div>
</div>
<div class="col-xs-12 col-md-6 col-lg-4">
<div class="panel panel-default panel-equal">
<div class="panel-heading"><?php _('Bambu Lab Printer') ?></div>
<div class="panel-body">
Printer from Bambu Lab running in local mode.
</div>
<div class="panel-footer">
<button class="btn btn-primary" ng-disabled="form1.$invalid" ng-click="selectConnector('bambu')">
<i class="fa fa-check rs-bigtab"></i> <?php _('Select connector') ?>
</button>
</div>
</div>
</div>
</div>
<div class="margin-top">
<button class="btn btn-danger pull-right" ng-click="abort()">
<i class="fa fa-trash rs-bigtab"></i> <?php _('Abort') ?>
</button>
<div class="clearfix"></div>
</div>
</form>
</div>
<div ng-if="step==2 && newprinter.connectorName==='bambu'" class="units">
<h2 style="margin-top:0"><?php _('Step 2: Connecting Printer') ?></h2>
<form name="form2Bambu" novalidate class="form-horizontal">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Model') ?></label>
<div class="col-sm-9">
<select class="form-control" ng-model="bambu.model" ng-options="f as f.name for f in bambuModels">
</select>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('IP') ?></label>
<div class="col-sm-9">
<input class="form-control" type="text" placeholder="<?php _('IP of the Bambu Lab Printer') ?>" ng-model="bambu.ip" required>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Serial Number') ?></label>
<div class="col-sm-9">
<input class="form-control" type="text" placeholder="<?php _('Serial Number of your BambuLab printer') ?>" ng-model="bambu.serialNumber">
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Access Code') ?></label>
<div class="col-sm-9">
<input class="form-control" type="text" required placeholder="<?php _('Access code of the Bambu Lab Printer in LAN mode') ?>" ng-model="bambu.accessCode">
</div>
</div>
<div class="margin-top alert alert-info">
<?php _('IMPORTANT: Connection is only possible if the printer is in LAN mode!') ?>
</div>
<div class="margin-top alert alert-error" ng-if="bambu.error">
{{bambu.error}}
</div>
<div class="margin-top">
<button class="btn btn-primary" ng-disabled="form2Bambu.$invalid" ng-click="step2Bambu()">
<?php _('Create Printer') ?>
<i class="fa fa-arrow-circle-o-right rs-big"></i></button>
<button class="btn btn-danger pull-right" ng-click="abort()">
<i class="fa fa-trash rs-bigtab"></i>
<?php _('Abort') ?>
</button>
</div>
</form>
</div>
<div ng-if="step==2 && newprinter.connectorName==='direct'" class="units">
<h2 style="margin-top:0"><?php _('Step 2: Connecting Printer') ?></h2>
<form name="form2" novalidate class="form-horizontal">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Firmware') ?></label>
<div class="col-sm-9">
<select class="form-control" ng-model="editor.general.firmwareInfo" ng-options="f as f.name for f in firmware.firmwareInfo">
</select>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Connection Method') ?></label>
<div class="col-sm-9">
<select class="form-control" ng-model="editor.connection.connectionMethod" ng-options="f.i as f.n for f in conMethods">
</select>
</div>
</div>
<hr>
<div ng-if="editor.connection.connectionMethod===0">
<div class="" ng-if="klipper.supportsInstall && editor.general.firmwareInfo.style === 'klipper'">
<button ng-if="!didInstallKlipper" class="btn btn-default" ng-click="installKlipper()"><i class="fa fa-plus-square rs-bigtab"></i> <?php _('Install') ?>
</button>
<button ng-if="didInstallKlipper" class="btn btn-default" ng-click="uninstallKlipper()"><i class="fa fa-plus-square rs-bigtab"></i> <?php _('Uninstall') ?>
</button>
<div class="alert alert-info margin-top">
<?php _('It is best to install Klipper directly from this wizard instead of manual installation. You can complete installation without configuring klipper now. You do this later in the klipper configuration screen. See documentation for more details.') ?>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Device / Port') ?></label>
<div class="col-sm-9">
<div class="input-group">
<input class="form-control" type="text" placeholder="" ng-model="editor.connection.serial.device" popover-placement="auto bottom" uib-popover="<?php _('For windows systems, this is the port COMx. On unix this is the path to the serial device like: /dev/tty.USB0') ?>" popover-trigger="'focus'">
<div class="input-group-btn">
<div class="btn-group" rs-dropdown dropdown-append-to-body is-open="direct.menuPort">
<button type="button" class="btn btn-default" rs-dropdown-toggle>
<?php _('Ports') ?> <span class="caret"></span>
</button>
<ul rs-dropdown-menu class="dropdown-menu-right" role="menu" style="max-height:200px;overflow:auto">
<li ng-repeat="p in config.ports track by $index">
<a href="javascript:void(0)" ng-click="editor.connection.serial.device=p;direct.menuPort=false">{{p}}</a>
</li>
</ul>
</div>
</div>
</div>
</div>
</div>
<div ng-if="klipperApiWarning" class="margin-top clearfix">
<div class="col-sm-3">
</div>
<div class="col-sm-9 alert alert-warning">
<div ng-bind="klipperApiWarning"></div>
</div>
</div>
<div ng-if="direct.portWarning" class="margin-top">
<div class="col-sm-3">
</div>
<div class="col-sm-9 alert alert-warning">
<?php _('Printers using same port:') ?>
<div ng-bind-html="direct.portWarning"></div>
</div>
</div>
<div ng-if="editor.general.firmwareInfo.style!=='klipper'">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Baud Rate') ?></label>
<div class="col-sm-9">
<select class="form-control" ng-model="editor.connection.serial.baudrate" ng-options="b.id as b.t for b in baudrates"></select>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('RTS') ?></label>
<div class="col-sm-9">
<select class="form-control" ng-model="editor.connection.serial.rts" ng-options="f.i as f.n for f in resetOrder">
</select>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('DTR') ?></label>
<div class="col-sm-9">
<select class="form-control" ng-model="editor.connection.serial.dtr" ng-options="f.i as f.n for f in resetOrder">
</select>
<p>
<small><?php _('RTS/DTR are serial pins that normally are used to reset the printer or are ignored. If a printer interprets them differently you can select a setting that works.') ?></small>
</p>
</div>
</div>
<div class="form-group checkbox" ng-if="serverSettings.ServerOS===2">
<label class="col-sm-12 control-label">
<input type="checkbox" ng-model="editor.connection.serial.malyanHack">
<?php _('Use fix for Malyan boards') ?>
</label>
</div>
</div>
</div>
<div ng-if="editor.connection.connectionMethod === 1">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('File') ?></label>
<div class="col-sm-9">
<input class="form-control" type="text" placeholder="<?php _('Path to pipe/socket') ?>" ng-model="editor.connection.pipe.file">
</div>
</div>
</div>
<div ng-if="editor.connection.connectionMethod === 3">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Socket') ?></label>
<div class="col-sm-9">
<input class="form-control" type="text" placeholder="<?php _('Path to socket') ?>" ng-model="editor.connection.pipe.file">
</div>
</div>
</div>
<div ng-if="editor.connection.connectionMethod === 2">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('IP') ?></label>
<div class="col-sm-9">
<input class="form-control" type="text" placeholder="<?php _('IP or domain name') ?>" ng-model="editor.connection.ip.address" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('IP or domain name. No HTTP or similar!') ?>">
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Port') ?></label>
<div class="col-sm-9">
<input class="form-control" type="number" placeholder="<?php _('Port') ?>" ng-model="editor.connection.ip.port" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Smoothieware uses 23. Legal values are from 1-65535') ?>">
</div>
</div>
</div>
<hr>
<div ng-if="editor.general.firmwareInfo.style!=='klipper'">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Password') ?></label>
<div class="col-sm-9">
<input class="form-control" type="text" placeholder="<?php _('Password') ?>" ng-model="editor.connection.password" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('RepRapFirmware allows setting a password for TCP/IP connections.') ?>">
</div>
</div>
<div ng-if="editor.connection.connectionMethod !== 3">
<h3><?php _('Communication buffering') ?></h3>
<div class="radio">
<label>
<input type="radio" name="optionsRadios" id="conTestMode" ng-model="direct.conTestMode" ng-value="0">
Test several combinations and select best
</label>
</div>
<div class="radio">
<label>
<input type="radio" name="optionsRadios" id="conTestMode" ng-model="direct.conTestMode" ng-value="1">
<?php _('Ping-Pong mode - No parallel sends except for emergency commands.') ?>
</label>
</div>
<div class="radio">
<label>
<input type="radio" name="optionsRadios" id="conTestMode" ng-model="direct.conTestMode" ng-value="2">
<?php _('63 byte buffer - Might send small commands in parallel.') ?>
</label>
</div>
<div class="radio">
<label>
<input type="radio" name="optionsRadios" id="conTestMode" ng-model="direct.conTestMode" ng-value="3">
<?php _('127 byte buffer - Typical buffer size for most printers.') ?>
</label>
</div>
<div class="radio">
<label>
<input type="radio" name="optionsRadios" id="conTestMode" ng-model="direct.conTestMode" ng-value="4">
<?php _('255 byte buffer - Might be minimal faster if supported by Printer.') ?>
</label>
</div>
</div>
</div>
<div class="margin-top">
<div class="alert alert-info" ng-if="substep==1">
<i class="fa fa-spin fa-spinner"></i> <?php _('Waiting for connection ...') ?></div>
<div ng-if="substep==2" class="alert alert-success">
<i class="fa fa-check"></i> <?php _(' Connected.') ?>
</div>
<div ng-if="direct.connectionDataWrong" class="alert alert-danger">
<i class="fa fa-exclamation-triangle"></i> <?php _('No understandable response on this port. Please check baud rate and firmware.') ?>
</div>
<div ng-if="direct.portWrong" class="alert alert-danger">
<i class="fa fa-exclamation-triangle"></i>
<span ng-if="editor.connection.connectionMethod===0"><?php _('Could not start connection with set port. Please select the right one!') ?></span>
<span ng-if="editor.connection.connectionMethod===1"><?php _('Could not start connection with set Pipe/Socket. Please select the right one!') ?></span>
<span ng-if="editor.connection.connectionMethod===2"><?php _('Could not start connection with set TCP/IP. Please select the right one!') ?></span>
</div>
<div ng-if="direct.autodetectingBaudrate" class="alert alert-info">
<i class="fa fa-spin fa-spinner"></i> <?php _('Autodetecting baud rate ... testing: ') ?>
{{direct.testBaudrate}} <?php _('baud') ?>, DTR: {{direct.autodetectDtr}}, RTS: {{direct.autodetectRts}}
</div>
<div ng-if="direct.autodetectingBaudrateFailed" class="alert alert-info">
<i class="fa fa-exclamation-triangle"></i> <?php _('Autodetecting baud rate failed.') ?>
</div>
<div ng-if="substep==2" class="alert alert-info"><?php _('Fetching firmware data ...') ?></div>
<div ng-if="!direct.correctResponse" class="alert alert-warning margin-top">
<i class="fa fa-exclamation-triangle"></i> <?php _('Fetching firmware data did not return expected response. This normally means that the wrong firmware was selected.') ?>
<div class="margin-top">
<button class="btn btn-primary" ng-click="step3DirectStart()">
<?php _('I am sure - Ignore and continue') ?>
</button>
</div>
</div>
<div ng-if="!direct.correctFirmware" class="alert alert-warning margin-top">
<i class="fa fa-exclamation-triangle"></i> <?php _('There is an indication that you have selected the wrong firmware. We think it is this firmware:') ?>
{{correctFirmwareName}}
<div class="margin-top">
<button class="btn btn-primary" ng-click="step3DirectStart()">
<?php _('I am sure - Ignore and continue') ?>
</button>
</div>
</div>
</div>
<div class="margin-top">
<button class="btn btn-primary" ng-disabled="form2.$invalid" ng-click="step2Direct()">
<span ng-if="direct.correctResponse"><?php _('Continue') ?></span>
<span ng-if="!direct.correctResponse"><?php _('Retest with selected Firmware') ?></span>
<i class="fa fa-arrow-circle-o-right rs-big"></i></button>
<button class="btn btn-danger pull-right" ng-click="abort()">
<i class="fa fa-trash rs-bigtab"></i>
<?php _('Abort') ?>
</button>
</div>
</form>
</div>
<div ng-if="step==3 && newprinter.connectorName==='direct'" class="units">
<h2 style="margin-top:0"><?php _('Step 2: Optimize Communication') ?></h2>
<table class="table table-hover">
<tr>
<th><?php _('Ping-Pong Mode') ?></th>
<th><?php _('Input Buffer Size') ?></th>
<th><?php _('Resends') ?></th>
<th><?php _('Speed') ?></th>
<th>
<div class="btn btn-danger btn-xs" ng-if="!testsOpen" ng-click="repeatTests()">
<i class="fa fa-recycle"></i></div>
</th>
</tr>
<tr ng-repeat="r in direct.conTestResults track by $index" ng-class="r.bgClass">
<td>{{r.pingPong | yesno}}</td>
<td>{{(r.pingPong ? '-' : r.bufferSize)}}</td>
<td ng-if="r.error" colspan="3">{{r.error}}</td>
<td ng-if="!r.error">{{r.resendsShort | number:1}}% / {{r.resends | number:1}}% / {{r.resendsSlow | number:1}}%
</td>
<td ng-if="!r.error">{{r.commandsPerSecondShort | number:1}} / {{r.commandsPerSecond | number:1}} / - <?php _('Lines/s') ?></td>
<td ng-if="!r.error">
<div class="btn btn-primary btn-xs" ng-disabled="testsOpen" ng-click="step3Direct(r)"><?php _('Continue with Step 3') ?></div>
</td>
</tr>
<tr ng-if="direct.testsOpen">
<td colspan="5"><i class="fa fa-spin fa-spinner"></i> <?php _('Testing connection') ?>
(<?php _('Ping-Pong Mode') ?>: {{runningTest.pingPong | yesno}}, <?php _('Input Buffer Size') ?>: {{runningTest.buffer}})
</td>
</tr>
</table>
<small><?php _('The tests are run 3 times. First for short commands, second with longer commands and last with slow commands. Select one that normally produces no resends.') ?>
<?php _('Resends less then 0.5 percent can happen on serial connections and are no reason to deny a combination.') ?>
<?php _('Some printers can get confused by the high data amount and need to be reset to work correctly again.') ?>
<?php _('If in doubt activate ping-pong mode. That is the most conservative mode.') ?>
</small>
</div>
<div ng-if="step==4" class="units">
<h2 style="margin-top:0"><?php _('Step 3: Geometry') ?></h2>
<form name="form3" novalidate class="form-horizontal">
<p>
<i class="fa margin-left fa-dot-circle-o fg-success"></i> <?php _('Value matches firmware value ') ?>
<br>
<i class="fa margin-left fa-circle-o fg-danger"></i> <?php _('Value does not match firmware value') ?>
<br>
</p>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Bed Shape') ?></label>
<div class="col-sm-9">
<select ng-model="editor.shape.basicShape.shape" class="form-control">
<option value="rectangle"><?php _('Rectangle') ?></option>
<option value="circle"><?php _('Circle') ?></option>
<option value="zbelt"><?php _('Z-Belt') ?></option>
</select>
</div>
</div>
<div ng-if="editor.shape.basicShape.shape == 'rectangle' || editor.shape.basicShape.shape == 'zbelt'">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('X left') ?>
<autoset name="XMin" ng-model="editor.shape.basicShape.xMin">
</autoset></label>
<div class="col-sm-9">
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.shape.basicShape.xMin" required>
<div class="input-group-addon">mm</div>
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Y front') ?>
<autoset name="YMin" ng-model="editor.shape.basicShape.yMin">
</autoset></label>
<div class="col-sm-9">
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.shape.basicShape.yMin" required>
<div class="input-group-addon">mm</div>
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('X right') ?>
<autoset name="XMax" ng-model="editor.shape.basicShape.xMax">
</autoset></label>
<div class="col-sm-9">
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.shape.basicShape.xMax" required>
<div class="input-group-addon">mm</div>
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Y rear') ?>
<autoset name="YMax" ng-model="editor.shape.basicShape.yMax">
</autoset></label>
<div class="col-sm-9">
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.shape.basicShape.yMax" required>
<div class="input-group-addon">mm</div>
</div>
</div>
</div>
<div class="form-group" ng-if="editor.shape.basicShape.shape == 'zbelt'">
<label class="col-sm-3 control-label"><?php _('Angle') ?>
</label>
<div class="col-sm-9">
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.shape.basicShape.angle" required>
<div class="input-group-addon">°</div>
</div>
</div>
</div>
</div>
<div ng-if="editor.shape.basicShape.shape == 'circle'">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Radius') ?>
<autoset name="printableRadius" ng-model="editor.shape.basicShape.radius">
</autoset></label>
<div class="col-sm-9">
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.shape.basicShape.radius" required>
<div class="input-group-addon">mm</div>
</div>
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Z-Max') ?>
<autoset name="ZMax" ng-model="editor.movement.zMax">
</autoset></label>
<div class="col-sm-9">
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.zMax" min="1" required>
<div class="input-group-addon">mm</div>
</div>
</div>
</div>
<div class="margin-top">
<button class="btn btn-primary" ng-disabled="form3.$invalid" ng-click="step4Direct()">
<?php _('Continue with Step 4') ?>
<i class="fa fa-arrow-circle-o-right rs-big"></i></button>
<button class="btn btn-danger pull-right" ng-click="abort()">
<i class="fa fa-trash rs-bigtab"></i>
<?php _('Abort') ?>
</button>
</div>
</form>
</div>
<div ng-if="step==5" class="units">
<h2 style="margin-top:0"><?php _('Step 4: Extruders and Bed') ?></h2>
<form name="form4" novalidate class="form-horizontal">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Number of Extruders') ?>
<autoset name="extruderCountSend" ng-model="extruder.num">
</autoset></label>
<div class="col-sm-9">
<input class="form-control" type="number" step="1" placeholder="" ng-model="extruder.num" required min="0">
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Filament Diameter') ?></label>
<div class="col-sm-9">
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="extruder.diameter" required min="0.1">
<div class="input-group-addon">mm</div>
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Heated Bed Installed') ?>
<autoset name="hasHeatedBed" ng-model="extras.heatedBed">
</autoset></label>
<div class="col-sm-9">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="extras.heatedBed"></boolswitch>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Heated Chamber Installed') ?>
<autoset name="hasHeatedChamber" ng-model="extras.heatedChamber">
</autoset></label>
<div class="col-sm-9">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="extras.heatedChamber"></boolswitch>
</div>
</div>
<div class="margin-top">
<button class="btn btn-primary" ng-disabled="form4.$invalid" ng-click="step5()">
<?php _('Continue with Step 5') ?>
<i class="fa fa-arrow-circle-o-right rs-big"></i></button>
<button class="btn btn-danger pull-right" ng-click="abort()">
<i class="fa fa-trash rs-bigtab"></i>
<?php _('Abort') ?>
</button>
</div>
</form>
</div>
<div ng-if="step==6" class="units">
<h2 style="margin-top:0"><?php _('Step 5: Features') ?></h2>
<form name="form5" novalidate class="form-horizontal">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Wizards') ?></label>
<div class="col-sm-9" style="max-height: 300px; overflow-y: auto;">
<div class="list-group">
<div class="list-group-item" style="display: inline-flex; width: 100%; padding-right: 0;" ng-repeat="wizard in editor.wizardTemplates track by $index">
<label style="display:inline-flex; margin-bottom: 0; font-weight: normal" ng-click="wizardsToInstall[wizard.uuid] = !wizardsToInstall[wizard.uuid]" title="UUID: {{wizard.uuid}}">
<input type="checkbox" ng-model="wizardsToInstall[wizard.uuid]" style="margin-top: auto; margin-bottom: auto; margin-right: 15px;">
<div style="display: block">
<div style="display: inline-flex">
<rs-icon style="width:18px;font-size:18px; margin: auto 8px auto 4px;" ng-if="wizard.icon !== ''" icon-img="wizard.icon"></rs-icon>
<rs-icon style="width:18px;font-size:18px; margin: auto 8px auto 4px;" ng-if="wizard.icon === ''" icon="fa fa-magic"></rs-icon>
<div style="font-weight:bold; font-size:18px; margin-left: 4px;margin-right: 8px">
{{wizard.name}}
</div>
</div>
<div ng-if="wizard.author !== ''" style="font-style:italic;margin-left: 4px;margin-right: 8px">
{{"<?php _('Created by @') ?>".replace("@", wizard.author)}}
</div>
<div ng-if="wizard.description !== ''" style="margin-left: 4px;margin-right: 8px">{{wizard.description}}
</div>
</div>
</label>
</div>
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Fans Installed') ?>
<autoset name="fansInstalled" ng-model="editor.general.numFans">
</autoset></label>
<div class="col-sm-9">
<input class="input-fixed-size form-control ng-pristine ng-untouched ng-valid ng-not-empty ng-valid-step" type="number" ng-model="editor.general.numFans" min="0" step="1">
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Software Power') ?>
<autoset name="softwarePowerSwitch" ng-model="editor.general.softwarePower">
</autoset></label>
<div class="col-sm-9">
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.general.softwarePower"></boolswitch>
</div>
</div>
<div class="margin-top">
<button class="btn btn-primary" ng-disabled="form5.$invalid" ng-click="step6()">
<?php _('Finish') ?>
<i class="fa fa-arrow-circle-o-right rs-big"></i></button>
<button class="btn btn-danger pull-right" ng-click="abort()">
<i class="fa fa-trash rs-bigtab"></i>
<?php _('Abort') ?>
</button>
</div>
</form>
</div>
</div>
</div>
