<div class="tab-pane active margin-top" style="padding-top: 10px">
<ng-form name="formExtruder" ng-if="user.showFeature('printer-configure-tools')">
<uib-accordion ng-hide="config.hasErrors() || active.status.online != 1 || !user.showFeature('printer-configure-tools-wizard')" class="panel panel-default margin-top">
<div uib-accordion-group style="padding: 0" class="panel-body-darker panel panel-default" is-open="active.local.configHeatingAssistantExpanded">
<uib-accordion-heading>
<div class="clickable">
<i class="fa fa-magic rs-fw"></i> <?php _('Heatup and Cooldown Wizard') ?>
<i class="glyphicon pull-right" ng-class="{'glyphicon-chevron-down': active.local.configHeatingAssistantExpanded, 'glyphicon-chevron-right': !active.local.configHeatingAssistantExpanded}"></i>
</div>
</uib-accordion-heading>
<div class="panel-body">
<div ng-if="hswStep==0">
<p><?php _('One question you probably can not answer is the heatup and cooldown speed. So once your bed and extruders are configured, you can run this wizard, which will measure the values. This can take some time, because it heats and cools down all parts.') ?></p>
<button class="btn btn-primary" ng-click="hswStart1()"><?php _('Start Wizard') ?>
<i class="fa fa-arrow-circle-right rs-bigtab"></i></button>
</div>
<div ng-if="hswStep==1">
<p><?php _('We will measure the time to heat up to your preferred temperature. So enter your preferred printing temperatures and cool down all heaters to room temperature. Then press "Start Measurement". Make sure your printer has power!') ?></p>
<h4><?php _('Preferred Temperatures') ?></h4>
<div class="row">
<div ng-repeat="h in hwsMeasurements track by $index" class="form-group col-md-6 col-xs-12 col-sm-6 col-lg-3">
<label>{{h.name}}</label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="h.target" min="0.0001">
<div class="input-group-addon">°C</div>
</div>
</div>
</div>
<button class="btn btn-primary" ng-click="hswStart2()"><?php _('Start Measurement') ?>
<i class="fa fa-arrow-circle-right rs-bigtab"></i></button>
</div>
<div ng-if="hswStep==2">
<div class="alert alert-info">
<i class="fa fa-spin fa-spinner rs-bigtab"></i> <?php _('Measurement in progress. Do not leave this page until finished or heaters could stay on!') ?>
</div>
<h4><?php _('Measurement State') ?></h4>
<table class="table table-bordered">
<tr ng-repeat="h in hwsMeasurements track by $index">
<td>{{h.name}}</td>
<td>{{h.modeText}}</td>
<td>{{h.actTemp | number:1}}°C</td>
</tr>
</table>
</div>
<div ng-if="hswStep==3">
<div class="alert alert-info"><?php _('Heating and cooling speeds were computed and stored.') ?></div>
</div>
</div>
</div>
</uib-accordion>
<uib-accordion class="panel panel-default margin-top" ng-if="user.showFeature('printer-configure-tools-general-extruder')">
<div uib-accordion-group style="padding: 0" class="panel-body-darker panel panel-default" is-open="active.configGeneralExtruderParameter">
<uib-accordion-heading>
<div class="clickable">
<i class="rs rs-extruder rs-fw"></i> <?php _('General Extruder Parameter') ?>
<div class="pull-right">
<i class="glyphicon" ng-class="{'glyphicon-chevron-down': active.configGeneralExtruderParameter, 'glyphicon-chevron-right': !active.configGeneralExtruderParameter}"></i>
</div>
</div>
</uib-accordion-heading>
<div class="clearfix"></div>
<div class="panel-body">
<h4><?php _('Extrusion Mode') ?></h4>
<p><?php _('Firmwares can run in volumetric extrusion mode or not. This has a big impact on the extruder values that get send. So it is also important to know in which mode your firmware runs and what to assume for slicer results. This value defines the default, if not stated otherwise. Use the following comments to mark a g-code volumetric or distance controlled.') ?></p>
<pre><code>; Volumetric extrusion:1
  ; Volumetric extrusion:0</code></pre>
<div class="row">
<div class="col-lg-4 col-sm-6 col-xs-12">
<label><?php _('Default to Volumetric Extrusion') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.general.defaultVolumetric"></boolswitch>
</div>
</div>
</div>
<h4><?php _('Retraction Moves') ?></h4>
<p><?php _('These settings are used in case your slicer uses G10/G11 commands for retraction. Only with the right values a correct time prediction is possible. You can ignore this if your printer does not support these commands.') ?></p>
<div class="row">
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Retraction Distance') ?>
<autoset name="RetractionLength" ng-model="editor.movement.G10Distance">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.G10Distance" popover-placement="auto bottom" uib-popover="<?php _('Distance for a normal retract.') ?>" data-original-title popover-trigger="'focus'" min="0" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Retraction Distance Long') ?>
<autoset name="RetractionLongLength" ng-model="editor.movement.G10LongDistance">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.G10LongDistance" popover-placement="auto bottom" uib-popover="<?php _('Distance for a long retract. Normally used when extruders get switched.') ?>" data-original-title popover-trigger="'focus'" min="0" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Retraction Speed') ?>
<autoset name="RetractionSpeed" ng-model="editor.movement.G10Speed">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.G10Speed" popover-placement="auto bottom" uib-popover="<?php _('Speed of the retraction.') ?>" data-original-title popover-trigger="'focus'" min="0.1" required>
<div class="input-group-addon">mm/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Z-Lift') ?>
<autoset name="RetractionZLift" ng-model="editor.movement.G10ZLift">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.G10ZLift" popover-placement="auto bottom" uib-popover="<?php _('Distance z tool gets lifted.') ?>" data-original-title popover-trigger="'focus'" min="0" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Undo Extra Distance') ?>
<autoset name="RetractionUndoExtraLength" ng-model="editor.movement.G11ExtraDistance">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.G11ExtraDistance" popover-placement="auto bottom" uib-popover="<?php _('Gets added to normal retraction distance when reversing.') ?>" data-original-title popover-trigger="'focus'" min="0" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Undo Extra Distance Long') ?>
<autoset name="RetractionUndoExtraLongLength" ng-model="editor.movement.G11ExtraLongDistance">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.G11ExtraLongDistance" popover-placement="auto bottom" uib-popover="<?php _('Gets added to long retraction distance when reversing.') ?>" data-original-title popover-trigger="'focus'" min="0" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Undo Speed') ?>
<autoset name="RetractionUndoSpeed" ng-model="editor.movement.G11Speed">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.G11Speed" popover-placement="auto bottom" uib-popover="<?php _('Speed when reversing retraction. Slower speeds then during retract might be better.') ?>" data-original-title popover-trigger="'focus'" min="0.1" required>
<div class="input-group-addon">mm/s</div>
</div>
</div>
</div>
</div>
</div>
</uib-accordion>
<div ng-repeat="b in editor.heatedBeds track by $index" ng-init="bed = $index" class="margin-bottom">
<uib-accordion class="panel panel-default margin-top">
<div uib-accordion-group style="padding: 0" class="panel-body-darker panel panel-default" is-open="active.local.configHeatedBedExpanded">
<uib-accordion-heading>
<div class="clickable">
<i class="rs rs-heated-bed rs-fw"></i> <?php _('Heated Bed') ?> <span ng-show="editor.heatedBeds.length>1">{{$index + 1}}</span>
<span ng-if="b.alias">: {{b.alias}}</span>
<div class="pull-right">
<div ng-if="user.showFeature('printer-configure-tools-add-del')" class="btn btn-xs text-danger" ng-click="delBed($index, $event)">
<i class="fa fa-trash-o"></i> <?php _('Remove Heated Bed') ?></div>
<i class="glyphicon" ng-class="{'glyphicon-chevron-down': active.local.configHeatedBedExpanded, 'glyphicon-chevron-right': !active.local.configHeatedBedExpanded}"></i>
</div>
</div>
</uib-accordion-heading>
<div class="clearfix"></div>
<div class="panel-body">
<div class="row">
<div class="col-lg-3 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-alias')">
<label><?php _('Alias') ?></label>
<input class="form-control" type="text" step="any" placeholder="" ng-model="b.alias" popover-placement="auto bottom" uib-popover="<?php _('For better recognition of the bed.') ?>" data-original-title popover-trigger="'focus'">
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-max-temp')">
<label><?php _('Max. Temperature') ?>
<autoset name="maxBedTemp" ng-model="b.maxTemp">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="b.maxTemp" popover-placement="auto bottom" uib-popover="<?php _('Maximum bed temperature.') ?>" popover-trigger="'focus'" min="0.0001" required>
<div class="input-group-addon">°C</div>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-temp-offset')">
<label><?php _('Temp. Offset') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="1" placeholder="" ng-model="b.offset" popover-placement="auto bottom" uib-popover="<?php _('Temperature added to temperature command when running a g-code.') ?>" popover-trigger="'focus'" required>
<div class="input-group-addon">°C</div>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-heater-speed')">
<label><?php _('Heatup Speed') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="b.heatupPerSecond" popover-placement="auto bottom" uib-popover="<?php _('Temperature raised within one second.') ?>" data-original-title popover-trigger="'focus'" min="0.0001" required>
<div class="input-group-addon">°C/s</div>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-heater-speed')">
<label><?php _('Cooldown Speed') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="b.cooldownPerSecond" popover-placement="auto bottom" uib-popover="<?php _('Temperature drop per second.') ?>" data-original-title popover-trigger="'focus'" min="0.0001" required>
<div class="input-group-addon">°C/s</div>
</div>
</div>
<div class="col-xs-12 radio" ng-if="canSetPrecision && user.showFeature('printer-configure-tools-set-precision')">
<strong><?php _('Precision setting Temperatures') ?>:</strong>
<label><input type="radio" ng-model="b.setPrecision" ng-value="0"> Only Integer values</label>
<label><input type="radio" ng-model="b.setPrecision" ng-value="1"> 0.1°C steps</label>
</div>
</div>
<div ng-if="user.showFeature('printer-configure-tools-presets')">
<h4><?php _('Predefined Bed Temperatures') ?></h4>
<table class="table table-bordered table-striped table-condensed" style="max-width:520px">
<thead>
<tr>
<th><?php _('Name') ?></th>
<th><?php _('Temperature') ?></th>
<th class="text-center" style="width: 70px;">
<button class="btn btn-primary btn-xs" ng-click="bedTempAdd(bed)"><i class="fa fa-plus"></i> <?php _('Add') ?></button>
</th>
</tr>
</thead>
<tbody dnd-list="b.temperatures" dnd-type="tr" style="cursor:move">
<tr class="dndPlaceholder" style="height:50px">
<td colspan="3">&nbsp;</td>
</tr>
<tr ng-repeat="r in b.temperatures" dnd-draggable="r" dnd-moved="b.temperatures.splice($index, 1)" dnd-effect-allowed="move">
<td><input type="text" ng-model="r.name" class="form-control input-sm" required>
</td>
<td>
<div class="input-group">
<input type="number" ng-model="r.temp" class="form-control input-sm" required min="0">
<div class="input-group-addon">°C</div>
</div>
</td>
<td class="text-center">
<div class="btn text-danger btn-sm" ng-click="bedTempDel(bed, $index)">
<i class="fa fa-trash-o rs-big"></i>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</uib-accordion>
</div>
<div class="btn btn-primary" style="margin-bottom:40px" ng-click="addBed()" ng-if="user.showFeature('printer-configure-tools-add-del')">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add Heated Bed') ?>
</div>
<div ng-repeat="c in editor.heatedChambers track by $index" ng-init="chamber = $index">
<uib-accordion class="panel panel-default margin-top">
<div uib-accordion-group style="padding: 0" class="panel-body-darker panel panel-default" is-open="active.local.configHeatedChamberExpanded">
<uib-accordion-heading>
<div class="clickable">
<i ng-class="RSPrinter.heaterIcons[c.sensorType]" class="rs-fw"></i> <?php _('Heated Chamber') ?> <span ng-show="editor.heatedChambers.length>1">{{$index + 1}}</span>
<span ng-if="c.alias">: {{c.alias}}</span>
<div class="pull-right">
<div ng-if="user.showFeature('printer-configure-tools-add-del')" class="btn btn-xs text-danger" ng-click="delChamber($index, $event)">
<i class="fa fa-trash-o"></i> <?php _('Remove Heated Chamber') ?></div>
<i class="glyphicon" ng-class="{'glyphicon-chevron-down': active.local.configHeatedChamberExpanded, 'glyphicon-chevron-right': !active.local.configHeatedChamberExpanded}"></i>
</div>
</div>
</uib-accordion-heading>
<div class="clearfix"></div>
<div class="panel-body">
<div ng-if="user.showFeature('printer-configure-tools-icon')">
<label><?php _('Icon') ?></label>
<br class="visible-xs">
<span ng-repeat="i in heaterIcons" style="margin-right: 10px">
<input type="radio" ng-model="c.sensorType" ng-value="$index">
<i ng-class="i" class="rs-bigger"></i>
</span>
</div>
<div ng-if="user.showFeature('printer-configure-tools-is-heater')">
<label><input type="checkbox" ng-model="c.supportTemperature" ng-true-value="true" ng-false-value="false"> <?php _('Tool supports temperatures') ?>
</label>
</div>
<div class="row">
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-alias')">
<label><?php _('Alias') ?></label>
<input class="form-control" type="text" step="any" placeholder="" ng-model="c.alias" popover-placement="auto bottom" uib-popover="<?php _('For better recognition of the meant chamber.') ?>" data-original-title popover-trigger="'focus'">
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-units')">
<label><?php _('Unit') ?></label>
<input class="form-control" type="text" placeholder="" ng-model="c.unit" popover-placement="auto bottom" uib-popover="<?php _('Units when displaying the value.') ?>" popover-trigger="'focus'">
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="showHeaterName && user.showFeature('printer-configure-tools-firmware')">
<label><?php _('Name in Firmware') ?></label>
<input class="form-control" type="text" placeholder="" ng-model="c.firmwareName" popover-placement="auto bottom" uib-popover="isRepRap ? <?php _('Chamber ID for chamber or SA,Sensor ID for analog value of a sensor. Empty = position used as Chamber ID') ?> : <?php _('Enter the name under which the chamber heater is known by the firmware.') ?>" popover-trigger="'focus'">
</div>
<div ng-if="c.supportTemperature && user.showFeature('printer-configure-tools-max-temp')" class="col-lg-6 col-sm-6 col-xs-12 form-group">
<label><?php _('Max. Temperature') ?>
<autoset name="maxChamberTemp" ng-model="c.maxTemp">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="c.maxTemp" popover-placement="auto bottom" uib-popover="<?php _('Maximum chamber temperature.') ?>" popover-trigger="'focus'" min="0.0001" required>
<div class="input-group-addon">°C</div>
</div>
</div>
<div ng-if="c.supportTemperature && user.showFeature('printer-configure-tools-temp-offset')" class="col-lg-6 col-sm-6 col-xs-12 form-group">
<label><?php _('Temp. Offset') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="1" placeholder="" ng-model="c.offset" popover-placement="auto bottom" uib-popover="<?php _('Temperature added to temperature command when running a g-code.') ?>" popover-trigger="'focus'" required>
<div class="input-group-addon">°C</div>
</div>
</div>
<div class="col-xs-12 radio" ng-if="canSetPrecision && user.showFeature('printer-configure-tools-set-precision')">
<strong><?php _('Precision setting Temperatures') ?>:</strong>
<label><input type="radio" ng-model="c.setPrecision" ng-value="0"> Only Integer values</label>
<label><input type="radio" ng-model="c.setPrecision" ng-value="1"> 0.1°C steps</label>
</div>
</div>
<div ng-if="user.showFeature('printer-configure-tools-presets')">
<h4 ng-if="c.supportTemperature"><?php _('Predefined Chamber Temperatures') ?></h4>
<table ng-if="c.supportTemperature" class="table table-bordered table-striped table-condensed" style="max-width:520px">
<thead>
<tr>
<th><?php _('Name') ?></th>
<th><?php _('Temperature') ?></th>
<th style="width: 70px;" class="text-center">
<button class="btn btn-primary btn-xs" ng-click="chamberTempAdd(chamber)"><i class="fa fa-plus"></i> <?php _('Add') ?></button>
</th>
</tr>
</thead>
<tbody dnd-list="c.temperatures" dnd-type="tr" style="cursor:move">
<tr class="dndPlaceholder" style="height:50px">
<td colspan="3">&nbsp;</td>
</tr>
<tr ng-repeat="r in c.temperatures" dnd-draggable="r" dnd-moved="c.temperatures.splice($index, 1)" dnd-effect-allowed="move">
<td><input type="text" ng-model="r.name" class="form-control input-sm" required>
</td>
<td>
<div class="input-group">
<input type="number" ng-model="r.temp" class="form-control input-sm" required min="0">
<div class="input-group-addon">°C</div>
</div>
</td>
<td class="text-center">
<div class="btn text-danger btn-sm" ng-click="chamberTempDel(chamber, $index)">
<i class="fa fa-trash-o rs-big"></i>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</uib-accordion>
</div>
<div class="btn btn-primary" style="margin-bottom:40px" ng-click="addChamber()" ng-if="user.showFeature('printer-configure-tools-add-del')">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add Heated Chamber') ?> / <?php _('Add Sensor') ?></div>
<div class="panel panel-default" ng-repeat="ex in editor.extruders track by $index">
<uib-accordion class="panel panel-default margin-top">
<div uib-accordion-group style="padding: 0px" class="panel-body-darker panel panel-default" is-open="generalSettingsExtruder[$index]">
<uib-accordion-heading>
<div class="clickable">
{{config.toolNames[ex.toolType]}} {{$index + 1}}<span ng-if="ex.alias">: {{ex.alias}}</span>
<div class="pull-right">
<div ng-if="user.showFeature('printer-configure-tools-add-del')" class="btn text-danger btn-xs" ng-click="removeExtruder($index, $event)">
<i class="fa fa-trash-o"></i> <?php _('Delete Extruder') ?>
</div>
<i class="glyphicon" ng-class="{'glyphicon-chevron-down': generalSettingsExtruder[$index], 'glyphicon-chevron-right': !generalSettingsExtruder[$index]}"></i>
</div>
</div>
</uib-accordion-heading>
<div class="clearfix"></div>
<div class="panel-body">
<div class="row units">
<div class="col-xs-12" ng-if="user.showFeature('printer-configure-tools-icon')">
<label><?php _('Tool Type') ?>:</label> &nbsp;&nbsp;<br class="visible-xs">
<input type="radio" ng-model="ex.toolType" ng-value="0">
<i class="rs rs-extruder"></i> <?php _('Extruder') ?>
&nbsp;&nbsp;&nbsp;<br class="visible-xs">
<input type="radio" ng-model="ex.toolType" ng-value="1">
<i class="rs rs-mill"></i> <?php _('Milling head') ?>
&nbsp;&nbsp;&nbsp;<br class="visible-xs">
<input type="radio" ng-model="ex.toolType" ng-value="2">
<i class="rs rs-laser"></i> <?php _('Laser') ?>
&nbsp;&nbsp;&nbsp;<br class="visible-xs">
<input type="radio" ng-model="ex.toolType" ng-value="3">
<i class="rs rs-syringe"></i> <?php _('Syringe') ?>
&nbsp;&nbsp;&nbsp;<br class="visible-xs">
<input type="radio" ng-model="ex.toolType" ng-value="4">
<i class="rs rs-chamber"></i> <?php _('Chamber') ?>
</div>
<div class="col-xs-12" ng-if="user.showFeature('printer-configure-tools-is-heater')">
<label><input type="checkbox" ng-model="ex.supportTemperature" ng-true-value="true" ng-false-value="false"> <?php _('Tool supports temperatures') ?>
</label>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-alias')">
<label><?php _('Alias') ?></label>
<input class="form-control input-fixed-size" type="text" step="any" placeholder="" ng-model="ex.alias" popover-placement="auto bottom" uib-popover="<?php _('For better recognition of the meant extruder.') ?>" data-original-title popover-trigger="'focus'">
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-fil-diameter')">
<label><?php _('Filament Diameter') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="ex.filamentDiameter" popover-placement="auto bottom" uib-popover="<?php _('Used for volume calculation.') ?>" data-original-title popover-trigger="'focus'" min="0.01" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-nozzle-diameter')">
<label>{{config.toolDiameterName[ex.toolType]}}</label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="ex.toolDiameter" popover-placement="auto bottom" uib-popover="<?php _('Used for validity checks.') ?>" data-original-title popover-trigger="'focus'" min="0.01" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="showFilamentsensorNames && user.showFeature('printer-configure-tools-fil-sensor')">
<label><?php _('Filament Sensor Name') ?></label>
<input class="form-control" type="text" placeholder="" ng-model="ex.filamentSensorName" popover-placement="auto bottom" uib-popover="<?php _('Name of the associated filament sensor if it exists. Used to trigger out of filament.') ?>" popover-trigger="'focus'">
</div>
<div class="col-xs-12 form-group" ng-if="ex.supportTemperature && user.showFeature('printer-configure-tools-extrusion')">
<label><?php _('Extruder Managing Temperatures') ?></label>
<select class="form-control" ng-model="ex.tempMaster" ng-options="f.num as f.num+1 for f in editor.extruders">
</select>
<small><?php _('Normally identical with extruder number. If one heat block is connected to multiple extruders, this is the one controlling temperatures.') ?></small>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="ex.num===ex.tempMaster && ex.supportTemperature && user.showFeature('printer-configure-tools-max-temp')">
<label><?php _('Max. Temperature') ?>
<autoset name="extrMaxTemp[{{$index}}]" ng-model="ex.maxTemp">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="ex.maxTemp" popover-placement="auto bottom" uib-popover="<?php _('Maximum extruder temperature.') ?>" popover-trigger="'focus'" min="0.0001" required>
<div class="input-group-addon">°C</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="ex.num===ex.tempMaster && ex.supportTemperature && user.showFeature('printer-configure-tools-temp-offset')">
<label><?php _('Temp. Offset') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="1" placeholder="" ng-model="ex.offset" popover-placement="auto bottom" uib-popover="<?php _('Temperature added to temperature command when running a g-code.') ?>" popover-trigger="'focus'" required>
<div class="input-group-addon">°C</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="ex.num===ex.tempMaster && ex.supportTemperature && user.showFeature('printer-configure-tools-heater-speed')">
<label><?php _('Heatup Speed') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="ex.heatupPerSecond" popover-placement="auto bottom" uib-popover="<?php _('Temperature raised within one second.') ?>" data-original-title popover-trigger="'focus'" min="0.01" required>
<div class="input-group-addon">°C/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="ex.num===ex.tempMaster && ex.supportTemperature && user.showFeature('printer-configure-tools-heater-speed')">
<label><?php _('Cooldown Speed') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="ex.cooldownPerSecond" popover-placement="auto bottom" uib-popover="<?php _('Temperature drop per second.') ?>" data-original-title popover-trigger="'focus'" min="0.01" required>
<div class="input-group-addon">°C/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-extrusion')">
<label><?php _('Max. Speed') ?>
<autoset name="extrMaxSpeed[{{$index}}]" ng-model="ex.maxSpeed">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="ex.maxSpeed" popover-placement="auto bottom" uib-popover="<?php _('Maximum extruder speed.') ?>" data-original-title popover-trigger="'focus'" required min="0.1">
<div class="input-group-addon">mm/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-extrusion')">
<label><?php _('Extrude Speed') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="ex.extrudeSpeed" popover-placement="auto bottom" uib-popover="<?php _('Extruder speed if you click on extrude in manual controls.') ?>" data-original-title popover-trigger="'focus'" min="0.01" required>
<div class="input-group-addon">mm/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-extrusion')">
<label><?php _('Retract Speed') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="ex.retractSpeed" popover-placement="auto bottom" uib-popover="<?php _('Retract speed if you click on extrude in manual controls.') ?>" data-original-title popover-trigger="'focus'" min="0.01" required>
<div class="input-group-addon">mm/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-extrusion')">
<label><?php _('Jerk') ?>
<autoset name="extrJerk[{{$index}}]" ng-model="ex.eJerk">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="ex.eJerk" popover-placement="auto bottom" uib-popover="<?php _('Extruder will start with 50%% of jerk.') ?>" data-original-title popover-trigger="'focus'" min="0" required>
<div class="input-group-addon">mm/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-extrusion')">
<label><?php _('Acceleration') ?>
<autoset name="extrAcceleration[{{$index}}]" ng-model="ex.acceleration">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="ex.acceleration" popover-placement="auto bottom" uib-popover="<?php _('Extruder acceleration.') ?>" data-original-title popover-trigger="'focus'" min="0" required>
<div class="input-group-addon">mm/s<sup>3</sup></div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-pos-offset')">
<label><?php _('Offset X') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="0.01" placeholder="" ng-model="ex.offsetX" popover-placement="auto bottom" uib-popover="<?php _('X offset of extruder. Some firmwares need this for multi extruder support.') ?>" data-original-title popover-trigger="'focus'" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-pos-offset')">
<label><?php _('Offset Y') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="0.01" placeholder="" ng-model="ex.offsetY" popover-placement="auto bottom" uib-popover="<?php _('Y offset of extruder. Some firmwares need this for multi extruder support.') ?>" data-original-title popover-trigger="'focus'" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-xs-12 radio" ng-if="canSetPrecision && user.showFeature('printer-configure-tools-set-precision')">
<strong><?php _('Precision setting Temperatures') ?>:</strong>
<label><input type="radio" ng-model="ex.setPrecision" ng-value="0"> Only Integer values</label>
<label><input type="radio" ng-model="ex.setPrecision" ng-value="1"> 0.1°C steps</label>
</div>
</div>
<div ng-if="user.showFeature('printer-configure-tools-presets')">
<h4 ng-if="ex.supportTemperature"><?php _('Predefined Extruder Temperatures') ?></h4>
<table ng-if="ex.supportTemperature" class="table table-bordered table-striped table-condensed" style="max-width:520px">
<thead>
<tr>
<th><?php _('Name') ?></th>
<th><?php _('Temperature') ?></th>
<th style="width:70px" class="text-center">
<button class="btn btn-primary btn-xs" ng-click="extTempAdd(ex)"><i class="fa fa-plus"></i> <?php _('Add') ?></button>
</th>
</tr>
</thead>
<tbody dnd-list="ex.temperatures" dnd-type="tr" style="cursor:move">
<tr class="dndPlaceholder" style="height:50px">
<td colspan="3">&nbsp;</td>
</tr>
<tr ng-repeat="r in ex.temperatures" dnd-draggable="r" dnd-moved="ex.temperatures.splice($index, 1)" dnd-effect-allowed="move">
<td><input type="text" ng-model="r.name" class="form-control input-sm" required>
</td>
<td>
<div class="input-group">
<input type="number" ng-model="r.temp" class="form-control input-sm" required>
<div class="input-group-addon">°C</div>
</div>
</td>
<td class="text-center">
<div class="btn text-danger btn-sm" ng-click="extTempDel(ex,$index)">
<i class="fa fa-trash-o rs-big"></i>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</uib-accordion>
</div>
<button class="btn btn-primary" style="margin-bottom:40px" ng-click="addExtruder()" ng-if="user.showFeature('printer-configure-tools-add-del')">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add Tool') ?>
</button>
<div class="panel panel-default margin-top" ng-repeat="fan in editor.fans track by $index">
<uib-accordion class="panel panel-default margin-top">
<div uib-accordion-group style="padding: 0" class="panel-body-darker panel panel-default" is-open="generalSettingsFans[$index]">
<uib-accordion-heading>
<div class="clickable">
<i class="rs rs-fan rs-fw"></i> <?php _('Fan') ?>
<span ng-show="editor.fans.length>1">{{$index + 1}}</span><span ng-if="fan.alias">: {{fan.alias}}</span>
<div class="pull-right">
<div ng-if="user.showFeature('printer-configure-tools-add-del')" class="btn btn-xs text-danger" ng-click="delFan($index, $event)">
<i class="fa fa-trash-o"></i> <?php _('Remove Fan') ?></div>
<i class="glyphicon" ng-class="{'glyphicon-chevron-down': active.local.configFansExpanded, 'glyphicon-chevron-right': !active.local.configFansExpanded}"></i>
</div>
</div>
</uib-accordion-heading>
<div class="clearfix"></div>
<div class="panel-body">
<div class="row" ng-if="user.showFeature('printer-configure-tools-fan-config')">
<div class="col-xs-12 form-group" style="height:60px" ng-if="user.showFeature('printer-configure-tools-firmware')">
<label><?php _('Fan Type') ?></label>
<select class="form-control" ng-model="fan.fanType" ng-options="m.i as m.n for m in gcodeManualEntrys"></select>
</div>
<div class="col-sm-12" ng-if="user.showFeature('printer-configure-tools-firmware')">
<div class="checkbox">
<label><input type="checkbox" ng-model="fan.readOnly"> <?php _('Read Only Fan') ?>
</label>
</div>
</div>
<div class="col-lg-6 col-sm-6 col-xs-12 form-group" ng-if="user.showFeature('printer-configure-tools-alias')">
<label><?php _('Alias') ?></label>
<input class="form-control" type="text" placeholder="" ng-model="fan.alias" popover-placement="auto bottom" uib-popover="<?php _('Name shown in GUI') ?>" popover-trigger="'focus'">
</div>
<div class="col-lg-6 col-sm-6 col-xs-12 form-group" ng-if="showFanName && user.showFeature('printer-configure-tools-firmware')">
<label><?php _('Name in Firmware') ?></label>
<input class="form-control" type="text" placeholder="" ng-model="fan.firmwareName" popover-placement="auto bottom" uib-popover="<?php _('Enter the name under which the fan is known by firmware. Normally used for generic fans to identify them.') ?>" popover-trigger="'focus'">
</div>
<div class="col-lg-6 col-sm-6 col-xs-12 form-group" ng-if="!fan.readOnly && user.showFeature('printer-configure-tools-firmware')">
<label><?php _('Fan ID') ?>
</label>
<input class="form-control" type="number" step="1" placeholder="" ng-model="fan.firmwareId" popover-placement="auto bottom" uib-popover="<?php _('Number used in M106 or M107') ?>" popover-trigger="'focus'" min="0" max="100" required>
</div>
<div class="col-lg-6 col-sm-6 col-xs-12 form-group" ng-if="!fan.readOnly && user.showFeature('printer-configure-tools-fan-config')">
<label><?php _('Min') ?>
</label>
<div class="input-group">
<input class="form-control" type="number" step="1" placeholder="" ng-model="fan.min" popover-placement="auto bottom" uib-popover="<?php _('Minimum speed that can be set') ?>" popover-trigger="'focus'" min="0" max="100" required>
<div class="input-group-addon">[%]</div>
</div>
</div>
<div class="col-lg-6 col-sm-6 col-xs-12 form-group" ng-if="!fan.readOnly && user.showFeature('printer-configure-tools-fan-config')">
<label><?php _('Max') ?>
</label>
<div class="input-group">
<input class="form-control" type="number" step="1" placeholder="" ng-model="fan.max" popover-placement="auto bottom" uib-popover="<?php _('Maximum speed that can be set.') ?>" popover-trigger="'focus'" min="0" max="100" required>
<div class="input-group-addon">[%]</div>
</div>
</div>
</div>
</div>
</div>
</uib-accordion>
</div>
<button class="btn btn-primary" style="margin-bottom:40px" ng-click="addFan()" ng-if="user.showFeature('printer-configure-tools-add-del')">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add Fan') ?>
</button>
</ng-form>
</div>
