<div class="tab-pane active code110" id="gcodes" ng-if="user.showFeature('printer-configure-gcodes')">
<ng-form name="formGCodes">
<uib-tabset class="margin-top">
<uib-tab heading="<?php _('Quick Commands') ?>" ng-if="user.showFeature('printer-configure-gcodes-quick')">
<div class="row margin-top">
<div class="col-sm-12">
<button ng-click="addQuickCommand()" class="btn btn-primary">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add New Command') ?></button>
<div style="display: block;float: right">
<button ng-click="setShowHelp(!showHelp)" class="btn btn-primary">
<i class="fa fa-question-circle rs-bigtab"></i> <?php _('Show Help') ?></button>
<button ng-click="delQuickCommand(selectedCommand)" class="btn btn-danger margin-left" ng-if="user.showFeature(selectedCommand.editPermission)">
<i class="fa fa-trash-o rs-bigtab"></i> <?php _('Delete Command') ?></button>
</div>
</div>
</div>
<div class="row margin-top" ng-if="editor.quickCommands" style="min-height: 400px; height:calc(100vh - 460px)">
<div class="col-lg-3 col-md-4 col-sm-12 col-xs-12" style="height: auto; overflow: auto; max-height: 100%">
<ul class="list-group" role="tablist" dnd-list="editor.quickCommands" style="height: auto;">
<li ng-click="selectQuickCommand(s)" style="cursor:move" class="list-group-item" ng-class="{active:s===selectedCommand}" ng-repeat="s in editor.quickCommands" dnd-draggable="s" dnd-moved="editor.quickCommands.splice($index, 1)" dnd-effect-allowed="move" dnd-dragend="onDragEndQuickCommand(event)">
<div>{{idxName($index, s.name, "<?php _('-- ERROR - No Name --') ?>")}}</div>
</li>
</ul>
</div>
<div class="col-md-8 col-sm-12 col-xs-12" ng-if="selectedCommand" ng-class="{'col-lg-6':showHelp, 'col-lg-9':!showHelp, 'col-md-4':showHelp, 'col-md-8':!showHelp}" style="margin-bottom: 10px; display: flex; flex-direction: column; height: 100%">
<div style="display: inline-flex">
<div class="form-group" style="width: 50%">
<label class="control-label"><?php _('Command Name') ?></label>
<input type="text" class="form-control" ng-model="selectedCommand.name" ng-readonly="!user.showFeature(selectedCommand.editPermission)" placeholder="<?php _('Your Command Name') ?>" required>
</div>
<div class="form-group margin-left" style="width: 50%; margin-top: auto; margin-bottom: 13px;" ng-if="user.showFeature(selectedCommand.editPermission)">
<div class="checkbox">
<label>
<input type="checkbox" ng-model="selectedCommand.visibleWhenPrinting"> <?php _('Visible when printing') ?>
</label>
</div>
</div>
</div>
<div class="form-group" ng-if="user.showFeature(selectedCommand.editPermission)">
<label class="control-label"><?php _('Icon (optional)') ?></label>
<rs-icon-editor ng-model="selectedCommand.icon" default-icon=""></rs-icon-editor>
</div>
<div class="form-group" ng-if="user.showFeature(selectedCommand.seePermission)">
<label class="control-label"><?php _('Condition') ?></label>
<input type="text" class="form-control" ng-model="selectedCommand.condition" ng-readonly="!user.showFeature(selectedCommand.editPermission)" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Computed expression when to allow and show the command. Empty means always!') ?>" data-original-title popover-trigger="'focus'" placeholder="">
</div>
<div class="form-group margin-top" style="display: contents;" ng-if="user.showFeature(selectedCommand.seePermission)">
<label class="control-label"><?php _('G-Code to Execute') ?></label>
<div class="code300-gcode" style="display: contents">
<rs-gcode-editor ng-model="selectedCommand.command" ro="!user.showFeature(selectedCommand.editPermission)" style="width:100%; overflow-y: auto; height: 100%;"></rs-gcode-editor>
</div>
<div style="text-align: right;" ng-if="user.showFeature(selectedCommand.editPermission)">
<button ng-show="!config.hasErrors() && user.printPermission" class="margin-top btn btn-primary" ng-click="saveAndTest('quickCommands', selectedCommand)" style="margin-left: 10px">
<i class="fa fa-save rs-bigtab"></i> <?php _('Save and Test') ?>
</button>
<button ng-show="!config.hasErrors()" class="margin-top btn btn-primary" ng-click="copyToSelectedPrinters('quickCommands', selectedCommand)" style="margin-left: 10px" ng-if="printerList.length>1">
<i class="fa fa-copy rs-bigtab"></i> <?php _('Copy G-Code to selected Printers') ?>
</button>
</div>
</div>
</div>
<rs-manual ng-show="showHelp" sections="gcodeManualEntrys"></rs-manual>
</div>
<div class="clearfix"></div>
<div style="display: none">
<input ng-repeat="s in editor.quickCommands track by $index" type="text" class="form-control" ng-model="s.name" placeholder="<?php _('Your Command Name') ?>" required>
</div>
<p class="alert alert-info"><?php _('These commands appear in the printer console as pull-down menu. Enter here often used code sequences.') ?></p>
</uib-tab>
<uib-tab heading="<?php _('Wizards') ?>" ng-if="user.showFeature('printer-configure-gcodes-wizards')">
<div class="row margin-top">
<div class="col-sm-12">
<button ng-click="addWizardCommand()" class="btn btn-primary">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add Wizard') ?></button>
<div style="display: block;float: right">
<button ng-click="setShowHelp(!showHelp)" class="btn btn-primary">
<i class="fa fa-question-circle rs-bigtab"></i> <?php _('Show Help') ?></button>
<button ng-click="delWizardCommand(selectedWizardCommand)" ng-if="user.showFeature(selectedWizardCommand.editPermission)" class="btn btn-danger margin-left">
<i class="fa fa-trash-o rs-bigtab"></i> <?php _('Delete Command') ?></button>
</div>
</div>
</div>
<div class="row margin-top" ng-if="editor.wizardCommands" style="min-height: 400px; height:calc(100vh - 460px)">
<div class="col-lg-3 col-md-4 col-sm-12 col-xs-12" style="height: auto; overflow: auto; max-height: 100%">
<ul class="list-group" role="tablist" dnd-list="editor.wizardCommands" style="height: auto;">
<li ng-click="selectWizardCommand(s)" style="cursor:move" title="UUID: {{s.uuid}} | Version: {{s.version}}" class="list-group-item" ng-class="{active:s===selectedWizardCommand}" ng-repeat="s in editor.wizardCommands" dnd-draggable="s" dnd-moved="editor.wizardCommands.splice($index, 1)" dnd-effect-allowed="move" dnd-dragend="onDragEndWizardCommand(event)">
<div>{{idxName($index, s.name, "<?php _('-- ERROR - No Name --') ?>")}}</div>
</li>
</ul>
</div>
<div class="col-sm-12 col-xs-12" ng-if="selectedWizardCommand" ng-class="{'col-lg-6':showHelp, 'col-lg-9':!showHelp, 'col-md-4':showHelp, 'col-md-8':!showHelp}" style="margin-bottom: 10px; display: flex; flex-direction: column; height: 100%;">
<div style="display: inline-flex">
<div class="form-group" style="width: 50%">
<label class="control-label"><?php _('Command Name') ?></label>
<input type="text" class="form-control" ng-model="selectedWizardCommand.name" ng-readonly="!user.showFeature(selectedWizardCommand.editPermission)" placeholder="<?php _('Your Command Name') ?>" required>
</div>
<div class="form-group margin-left" style="width: 50%; margin-top: auto; margin-bottom: 13px;" ng-if="user.showFeature(selectedWizardCommand.editPermission)">
<div class="checkbox">
<label>
<input type="checkbox" ng-model="selectedWizardCommand.visibleWhenPrinting"> <?php _('Visible when printing') ?>
</label>
</div>
</div>
</div>
<div style="display: inline-flex" ng-if="user.showFeature(selectedWizardCommand.editPermission)">
<div class="form-group" style="width: 50%">
<label class="control-label"><?php _('Icon (optional)') ?></label>
<rs-icon-editor ng-model="selectedWizardCommand.icon" default-icon=""></rs-icon-editor>
</div>
<div class="form-group margin-left" style="width: 50%">
<label class="control-label"><?php _('Author') ?></label>
<input type="text" class="form-control" ng-model="selectedWizardCommand.author" ng-readonly="!user.showFeature(selectedWizardCommand.editPermission)" placeholder="<?php _('Wizard creator') ?>">
</div>
</div>
<div class="form-group" ng-if="user.showFeature(selectedWizardCommand.seePermission)">
<label class="control-label"><?php _('Condition') ?></label>
<input type="text" class="form-control" ng-model="selectedWizardCommand.condition" ng-readonly="!user.showFeature(selectedWizardCommand.editPermission)" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Computed expression when to allow and show the wizard. Empty means always!') ?>" data-original-title popover-trigger="'focus'" placeholder="">
</div>
<div class="form-group">
<label class="control-label"><?php _('Description') ?></label>
<input type="text" class="form-control" ng-readonly="!user.showFeature(selectedWizardCommand.editPermission)" ng-model="selectedWizardCommand.description" placeholder="<?php _('A short description') ?>">
</div>
<div class="form-group margin-top" style="display: contents;" ng-if="user.showFeature(selectedWizardCommand.seePermission)">
<label class="control-label"><?php _('G-Code to Execute') ?></label>
<div class="code300-gcode">
<rs-gcode-editor ng-model="selectedWizardCommand.command" ro="!user.showFeature(selectedWizardCommand.editPermission)" style="width:100%; overflow-y: auto; height: 100%;"></rs-gcode-editor>
</div>
<div style="text-align: right;" ng-if="user.showFeature(selectedWizardCommand.editPermission)">
<button ng-show="!config.hasErrors() && user.printPermission" class="margin-top btn btn-primary" ng-click="saveAndTest('wizardCommands', selectedWizardCommand)" style="margin-left: 10px">
<i class="fa fa-save rs-bigtab"></i> <?php _('Save and Test') ?>
</button>
<button ng-show="!config.hasErrors()" class="margin-top btn btn-primary" ng-click="copyToSelectedPrinters('wizardCommands', selectedWizardCommand)" style="margin-left: 10px" ng-if="printerList.length>1">
<i class="fa fa-copy rs-bigtab"></i> <?php _('Copy G-Code to selected Printers') ?>
</button>
<button ng-show="!config.hasErrors()" class="margin-top btn btn-primary" ng-click="exportLocalWizard(selectedWizardCommand)" style="margin-left: 10px">
<i class="fa fa-download rs-bigtab"></i> <?php _('Export Wizard') ?>
</button>
<button ng-show="!config.hasErrors()" class="margin-top btn btn-primary" ng-click="saveAsWizardTemplate(selectedWizardCommand)" style="margin-left: 10px">
<i class="fa fa-save rs-bigtab"></i> <?php _('Save as Template') ?>
</button>
</div>
</div>
</div>
<rs-manual ng-show="showHelp" sections="gcodeManualEntrys"></rs-manual>
</div>
<div style="display: none">
<input ng-repeat="s in editor.wizardCommands track by $index" type="text" class="form-control" ng-model="s.name" placeholder="<?php _('Your Command Name') ?>" required>
</div>
<div class="clearfix"></div>
<p class="alert alert-info"><?php _('These commands appear in the printer wizard list. Put here logic for frequently used sequences with dialogs and user inputs.') ?></p>
</uib-tab>
<uib-tab heading="<?php _('Button Commands') ?>" ng-if="user.showFeature('printer-configure-gcodes-buttons')">
<div class="row margin-top">
<div class="col-sm-12">
<div style="display: block;float: right">
<button ng-click="setShowHelp(!showHelp)" class="btn btn-primary">
<i class="fa fa-question-circle rs-bigtab"></i> <?php _('Show Help') ?></button>
</div>
</div>
</div>
<div class="row margin-top" ng-if="editor.buttonCommands" style="min-height: 400px; height:calc(100vh - 460px)">
<div class="col-lg-3 col-md-4 col-sm-12 col-xs-12" style="height: auto; overflow: auto; max-height: 100%">
<ul class="list-group" role="tablist" style="height: auto">
<li ng-click="updateButtonDefault(s)" class="list-group-item" ng-class="{active:s===btn.activeButton}" ng-repeat="s in editor.buttonCommands">
<div>{{idxName($index, s.name, "")}}</div>
</li>
</ul>
</div>
<div class="col-sm-12 col-xs-12" ng-if="btn.activeButton" ng-class="{'col-lg-6':showHelp, 'col-lg-9':!showHelp, 'col-md-4':showHelp, 'col-md-8':!showHelp}" style="margin-bottom: 10px; display: flex; flex-direction: column; height: 100%;">
<h3 style="margin-top: 0px">{{btn.activeButton.name}}</h3>
<div ng-if="user.showFeature(btn.activeButton.seePermission)" style="display: contents">
<label><?php _('Default G-Code') ?></label>
<pre style="overflow: unset;"><code ng-bind="btn.activeButtonDefault"></code></pre>
<label><?php _('Use this instead') ?></label>
<div class="code300-gcode" style="display: contents">
<rs-gcode-editor ng-model="btn.activeButton.command" ro="!user.showFeature(btn.activeButton.editPermission)" style="width:100%; overflow-y: auto; height: 100%;"></rs-gcode-editor>
</div>
<div style="text-align: right;" class="margin-top" ng-if="user.showFeature(btn.activeButton.editPermission)">
<button class="btn btn-primary" ng-click="copyToSelectedPrinters('buttonCommands', btn.activeButton)" style="margin-left: 10px" ng-if="printerList.length>1">
<i class="fa fa-copy rs-bigtab"></i> <?php _('Copy G-Code to selected Printers') ?>
</button>
</div>
</div>
</div>
<rs-manual ng-show="showHelp" sections="gcodeManualEntrys"></rs-manual>
</div>
<div class="clearfix"></div>
<p class="alert alert-info"><?php _('Buttons in the UI execute the default command for your firmware, unless you define your own code to be executed here.') ?></p>
</uib-tab>
<uib-tab heading="<?php _('Event Dependent') ?>" ng-if="user.showFeature('printer-configure-gcodes-event')">
<div class="row margin-top">
<div class="col-sm-12">
<div style="display: block;float: right">
<button ng-click="setShowHelp(!showHelp)" class="btn btn-primary">
<i class="fa fa-question-circle rs-bigtab"></i> <?php _('Show Help') ?></button>
</div>
</div>
</div>
<div class="row margin-top" style="min-height: 400px; height:calc(100vh - 460px)">
<div class="col-lg-3 col-md-4 col-sm-12 col-xs-12" style="height: auto; overflow: auto; max-height: 100%">
<ul class="list-group" role="tablist" style="height: auto">
<li ng-click="$parent.activeScript=s" class="list-group-item" ng-class="{active:s===activeScript}" ng-repeat="s in config.scriptNames">
<div>{{idxName($index, s.title, "")}}</div>
</li>
</ul>
</div>
<div class="col-sm-12 col-xs-12" ng-if="activeScript" ng-class="{'col-lg-6':showHelp, 'col-lg-9':!showHelp, 'col-md-4':showHelp, 'col-md-8':!showHelp}" style="margin-bottom: 10px; display: flex; flex-direction: column; height: 100%;">
<h3 style="margin-top:0">{{activeScript.title}}</h3>
<div ng-if="user.showFeature(config.scripts[activeScript.name].seePermission)" style="display: contents">
<label><?php _('G-Code') ?></label>
<div class="code300-gcode" style="display: contents">
<rs-gcode-editor ng-model="config.scripts[activeScript.name].command" ro="!user.showFeature(config.scripts[activeScript.name].editPermission)" style="width:100%; overflow-y: auto; height: 100%;"></rs-gcode-editor>
</div>
<div style="text-align: right;" class="margin-top">
<button class="btn btn-primary" ng-click="copyToSelectedPrinters('eventDependentCommands', {name: activeScript.name,command: config.scripts[activeScript.name].command})" style="margin-left: 10px" ng-if="printerList.length>1">
<i class="fa fa-copy rs-bigtab"></i> <?php _('Copy G-Code to selected Printers') ?>
</button>
</div>
</div>
</div>
<rs-manual ng-show="showHelp" sections="gcodeManualEntrys"></rs-manual>
</div>
<div class="clearfix"></div>
<p class="alert alert-info"><?php _('These commands get send on certain events, like if a job was paused.') ?></p>
</uib-tab>
<uib-tab heading="<?php _('Response to Event') ?>" ng-if="user.showFeature('printer-configure-gcodes-response')">
<div class="margin-top row">
<div class="col-sm-12">
<button ng-click="addResponseEvent()" class="btn btn-primary">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add New Event Generator') ?></button>
<div style="display: block;float: right">
<button ng-click="setShowHelp(!showHelp)" class="btn btn-primary">
<i class="fa fa-question-circle rs-bigtab"></i> <?php _('Show Help') ?></button>
</div>
</div>
</div>
<div class="row margin-top" style="min-height: 400px; height:calc(100vh - 460px)">
<div class="col-lg-3 col-md-4 col-sm-12 col-xs-12" style="height: auto; overflow: auto; max-height: 100%">
<ul class="list-group" role="tablist" dnd-list="editor.responseEvents" style="height: auto;">
<li ng-click="selectActiveResponseEvent(s)" class="list-group-item" style="cursor:move" ng-class="{active:s===activeResponseEvent}" ng-repeat="s in editor.responseEvents" dnd-draggable="s" dnd-moved="editor.responseEvents.splice($index, 1)" dnd-effect-allowed="move">
<div>{{idxName($index, s.event, "-- <?php _('No Event Name') ?> --")}}</div>
</li>
</ul>
</div>
<div class="col-sm-12 col-xs-12" ng-if="activeResponseEvent" ng-class="{'col-lg-6':showHelp, 'col-lg-9':!showHelp, 'col-md-4':showHelp, 'col-md-8':!showHelp}" style="margin-bottom: 10px; display: flex; flex-direction: column; height: 100%;">
<div ng-if="activeResponseEvent !== false" style="height: 100%; display: flex; flex-direction: column">
<h3 style="margin-top:0">{{activeResponseEvent.event}}</h3>
<div class="form-group">
<label class="control-label"><?php _('Event') ?></label>
<div class="input-group" style="width: 100%">
<input type="text" class="form-control" ng-model="activeResponseEvent.event" ng-readonly="!user.showFeature(activeResponseEvent.editPermission)" placeholder="<?php _('Your Event Name') ?>">
<span class="input-group-btn" ng-if="user.showFeature(activeResponseEvent.editPermission)">
<div class="btn btn-danger" style="height:34px" title="<?php _('Delete Event') ?>" ng-click="delResponseEvent(activeResponseEvent)">
<i class="fa fa-trash-o rs-bigtab"></i>
</div>
</span>
</div>
</div>
<div class="form-group" ng-if="user.showFeature(activeResponseEvent.seePermission)">
<label class="control-label" style="cursor: help" ng-click="showRegularExpression()"><?php _('Regular Expression') ?> <i class="fa fa-info-circle"></i></label>
<div>
<input type="text" class="form-control" ng-model="activeResponseEvent.expression" ng-readonly="!user.showFeature(activeResponseEvent.editPermission)" placeholder="<?php _('Your Regular Expression') ?>">
</div>
</div>
<div class="form-group" style="display: contents;" ng-if="user.showFeature(activeResponseEvent.seePermission)">
<label class="control-label"><?php _('G-Code to Execute') ?></label>
<div class="code300-gcode">
<rs-gcode-editor ng-model="activeResponseEvent.script" ro="!user.showFeature(activeResponseEvent.editPermission)" style="width:100%; overflow-y: auto; height: 100%;"></rs-gcode-editor>
</div>
</div>
<div style="text-align: right;" class="margin-top" ng-if="user.showFeature(activeResponseEvent.editPermission)">
<button class="btn btn-primary" ng-click="copyToSelectedPrinters('responseEvents', activeResponseEvent)" style="margin-left: 10px" ng-if="printerList.length>1">
<i class="fa fa-copy rs-bigtab"></i> <?php _('Copy G-Code to selected Printers') ?>
</button>
</div>
</div>
</div>
<rs-manual ng-show="showHelp" sections="gcodeManualEntrys"></rs-manual>
</div>
<div class="clearfix"></div>
<p class="alert alert-info"><?php _('These rules are used to send an event to watchers if a line returned by the printer matches the regular expression.') ?><?php _('Use @0 to insert complete firmware response and @1 to insert the first matching group into the script.') ?></p>
</uib-tab>
<uib-tab heading="<?php _('Replacements') ?>" ng-if="user.showFeature('printer-configure-gcodes-replacement')">
<div class="row margin-top">
<div class="col-sm-12">
<button ng-click="addReplacement()" class="btn btn-primary">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add New Replacement') ?></button>
<div style="display: block;float: right">
<button ng-click="setShowHelp(!showHelp)" class="btn btn-primary">
<i class="fa fa-question-circle rs-bigtab"></i> <?php _('Show Help') ?></button>
</div>
</div>
</div>
<div class="row margin-top" style="min-height: 400px; height:calc(100vh - 460px)">
<div class="col-lg-3 col-md-4 col-sm-12 col-xs-12" style="height: auto; overflow: auto; max-height: 100%">
<ul class="list-group" role="tablist" dnd-list="editor.gcodeReplacements" style="height: auto">
<li ng-click="selectActiveReplacement(s)" class="list-group-item" style="cursor:move" ng-class="{active:s===activeReplacement}" ng-repeat="s in editor.gcodeReplacements" dnd-draggable="s" dnd-moved="editor.gcodeReplacements.splice($index, 1)" dnd-effect-allowed="move">
<div>{{idxName($index, s.comment, "-- <?php _('No Comment') ?> --")}}</div>
</li>
</ul>
</div>
<div class="col-sm-12 col-xs-12" ng-if="activeReplacement" ng-class="{'col-lg-6':showHelp, 'col-lg-9':!showHelp, 'col-md-4':showHelp, 'col-md-8':!showHelp}" style="margin-bottom: 10px;  display: flex; flex-direction: column; height: 100%;">
<div ng-if="activeReplacement !== false" style="height: 100%; display: flex; flex-direction: column">
<h3 style="margin-top:0">{{activeReplacement.comment}}</h3>
<div class="form-group">
<label class="control-label"><?php _('Comment') ?></label>
<div class="input-group" style="width:100%">
<input type="text" class="form-control" ng-model="activeReplacement.comment" ng-readonly="!user.showFeature(activeReplacement.editPermission)" placeholder="<?php _('Your Comment') ?>">
<span class="input-group-btn" ng-if="user.showFeature(activeReplacement.editPermission)">
<div class="btn btn-danger" style="height:34px" title="<?php _('Delete') ?>" ng-click="delReplacement(activeReplacement)">
<i class="fa fa-trash-o rs-bigtab"></i>
</div>
</span>
</div>
</div>
<div class="form-group" ng-if="user.showFeature(activeReplacement.seePermission)">
<label class="control-label" style="cursor: help" ng-click="showRegularExpression()"><?php _('Regular Expression') ?> <i class="fa fa-info-circle"></i></label>
<div>
<input type="text" class="form-control" ng-model="activeReplacement.expression" ng-readonly="!user.showFeature(activeReplacement.editPermission)" placeholder="<?php _('Your Regular Expression') ?>">
</div>
</div>
<div class="form-group margin-top" style="display: contents;" ng-if="user.showFeature(activeReplacement.seePermission)">
<label class="control-label"><?php _('G-Code to Execute') ?></label>
<div class="code300-gcode">
<rs-gcode-editor ng-model="activeReplacement.script" ro="!user.showFeature(activeReplacement.editPermission)" style="width:100%; overflow-y: auto; height: 100%;"></rs-gcode-editor>
</div>
</div>
<div style="text-align: right;" class="margin-top" ng-if="user.showFeature(activeReplacement.editPermission)">
<button class="btn btn-primary" ng-click="copyToSelectedPrinters('gcodeReplacements', activeReplacement)" style="margin-left: 10px" ng-if="printerList.length>1">
<i class="fa fa-copy rs-bigtab"></i> <?php _('Copy G-Code to selected Printers') ?>
</button>
</div>
</div>
</div>
<rs-manual ng-show="showHelp" sections="gcodeManualEntrys"></rs-manual>
</div>
<div class="clearfix"></div>
<div class="alert alert-info">
<p><?php _('These rules are used to replace a command with some other commands. Replacement is not rescanned. The first hit will be used.') ?></p>
<p><?php _('Use @0 to insert complete request and @1 to insert the first matching group into the script.') ?></p>
</div>
</uib-tab>
<uib-tab heading="<?php _('Includes') ?>" ng-if="user.showFeature('printer-configure-gcodes-includes')">
<div class="row margin-top">
<div class="col-sm-12">
<button ng-click="addInclude()" class="btn btn-primary">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add New Include') ?></button>
<div style="display: block;float: right">
<button ng-click="setShowHelp(!showHelp)" class="btn btn-primary">
<i class="fa fa-question-circle rs-bigtab"></i> <?php _('Show Help') ?></button>
<button ng-click="delInclude(selectedInclude)" class="btn btn-danger margin-left" ng-if="user.showFeature(selectedInclude.editPermission)">
<i class="fa fa-trash-o rs-bigtab"></i> <?php _('Delete Command') ?></button>
</div>
</div>
</div>
<div class="row margin-top" ng-if="config.includes" style="min-height: 400px; height:calc(100vh - 460px)">
<div class="col-lg-3 col-md-4 col-sm-12 col-xs-12" style="height: auto; overflow: auto; max-height: 100%">
<ul class="list-group" role="tablist" dnd-list="config.includes" style="height: auto;">
<li ng-click="selectInclude(s)" style="cursor:move" class="list-group-item" ng-class="{active:s===selectedInclude}" ng-repeat="s in config.includes" dnd-draggable="s" dnd-moved="config.includes.splice($index, 1)" dnd-effect-allowed="move" dnd-dragend="onDragEndIncludes(event)">
<div>{{idxName($index, s.name, "<?php _('-- ERROR - No Name --') ?>")}}</div>
</li>
</ul>
</div>
<div class="col-md-8 col-sm-12 col-xs-12" ng-if="selectedInclude" ng-class="{'col-lg-6':showHelp, 'col-lg-9':!showHelp, 'col-md-4':showHelp, 'col-md-8':!showHelp}" style="margin-bottom: 10px; display: flex; flex-direction: column; height: 100%">
<div style="display: inline-flex">
<div class="form-group" style="width: 50%">
<label class="control-label"><?php _('Command Name') ?></label>
<input type="text" class="form-control" ng-model="selectedInclude.name" ng-readonly="!user.showFeature(selectedInclude.editPermission)" placeholder="<?php _('Your Command Name') ?>" required>
</div>
</div>
<div class="form-group margin-top" style="display: contents;" ng-if="user.showFeature(selectedInclude.seePermission)">
<label class="control-label"><?php _('G-Code to Execute') ?></label>
<div class="code300-gcode" style="display: contents">
<rs-gcode-editor ng-model="selectedInclude.command" ro="!user.showFeature(selectedInclude.editPermission)" style="width:100%; overflow-y: auto; height: 100%;"></rs-gcode-editor>
</div>
<div style="text-align: right;" ng-if="user.showFeature(selectedInclude.editPermission)">
<button ng-show="!config.hasErrors()" class="margin-top btn btn-primary" ng-click="copyToSelectedPrinters('includes', selectedInclude)" style="margin-left: 10px" ng-if="printerList.length>1">
<i class="fa fa-copy rs-bigtab"></i> <?php _('Copy G-Code to selected Printers') ?>
</button>
</div>
</div>
</div>
<rs-manual ng-show="showHelp" sections="gcodeManualEntrys"></rs-manual>
</div>
<div class="clearfix margin-bottom"></div>
<div style="display: none">
<input ng-repeat="s in config.includes track by $index" type="text" class="form-control" ng-model="s.name" required>
</div>
</uib-tab>
</uib-tabset>
<div class="margin-bottom clearfix">
<button ng-hide="config.hasErrors()" class="btn btn-success pull-right" ng-click="config.save()"><i class="fa fa-save rs-bigtab"></i> <?php _('Save Configuration') ?>
</button>
<button ng-show="config.hasErrors()" class="btn btn-danger pull-right disabled" ng-click="config.save()"><i class="fa fa-save rs-bigtab"></i> <?php _('Fix errors to update') ?>
</button>
</div>
<br>
</ng-form>
</div>
