<div class="modal-header">
<button type="button" class="close" ng-click="cancel()" aria-hidden="true">&times;</button>
<h4 class="modal-title"><?php _('Wizard Manager') ?></h4>
</div>
<div class="modal-body" style="">
<uib-tabset justified="false" type="pills" class="margin-top" active="tabIndex">
<uib-tab index="0">
<uib-tab-heading><i class="fa fa-magic"></i> <?php _('Installed') ?></uib-tab-heading>
<div class="margin-top">
<div class="list-group">
<div class="overflow-scrollbar-hidden" style="overflow-y: auto;max-height: calc(100vh - 400px);min-height: 200px;">
<a href="javascript:void(0)" class="list-group-item" style="display: inline-flex; flex-wrap: wrap; row-gap: 10px; width: 100%; padding-right: 0; border-bottom-left-radius: 0; border-bottom-right-radius: 0" ng-repeat="wizard in wizards[tabIndex] track by $index">
<div style="flex: 1 0 250px">
<label style="display:inline-flex; margin-bottom: 0; font-weight: normal;" ng-click="selectSingleWizard(wizard.uuid)" title="UUID: {{wizard.uuid}} | Version: {{wizard.version}}">
<input type="checkbox" ng-model="wizardSelections[tabIndex][wizard.uuid]" style="margin-top: auto; margin-bottom: auto; margin-right: 15px;" ng-disabled="!user.showFeature(wizard.editPermission)">
<div style="display: block">
<div style="display: inline-flex">
<rs-icon style="width:18px;font-size:18px; margin: auto 8px auto 4px;" ng-if="wizard.icon !== ''" icon-img="wizard.icon"></rs-icon>
<rs-icon style="width:18px;font-size:18px; margin: auto 8px auto 4px;" ng-if="wizard.icon === ''" icon="fa fa-magic"></rs-icon>
<div style="font-weight:bold; font-size:18px; margin-left: 4px;margin-right: 8px">
{{wizard.name}}
</div>
</div>
<div ng-if="wizard.author !== ''" style="font-style:italic;margin-left: 4px;margin-right: 8px">
{{"<?php _('Created by @') ?>".replace("@", wizard.author)}}
</div>
<div ng-if="wizard.description !== ''" style="margin-left: 4px;margin-right: 8px">
{{wizard.description}}
</div>
</div>
</label>
</div>
<div style="flex-grow: 0; flex-shrink: 0; margin-left: auto">
<div class="btn btn-primary btn-xs" ng-if="user.showFeature(wizard.editPermission)" style="margin: auto 8px auto auto" ng-click="exportWizard(wizard.uuid)">
<i class="fa fa-download"></i>
<span><?php _('Export') ?></span>
</div>
<div class="btn btn-primary btn-xs" ng-if="user.showFeature(wizard.editPermission)" style="margin: auto 8px auto 0" ng-click="uninstallWizard(wizard.uuid)">
<i class="fa fa-minus-square"></i>
<span><?php _('Remove') ?></span>
</div>
</div>
</a>
</div>
<div class="list-group-item" style="display:inline-flex; width: 100%; flex-wrap:wrap;row-gap: 10px; padding-right: 15px;margin-bottom: 0">
<label style="white-space: nowrap; font-weight: normal; margin-bottom: 0;" ng-click="selectAllWizards()">
<input type="checkbox" ng-model="checkAll[tabIndex]">
<span style="margin-right: 20px; margin-left: 8px; white-space: nowrap"><?php _('Select all') ?></span>
</label>
<div style="margin-right: 0; margin-left: auto">
<button ng-if="showSelectedButtons[tabIndex]" class="btn btn-primary btn-xs pull-right hidden-xs" style="display: inline-flex!important; margin: auto 8px auto 0" ng-click="exportWizard('selected')">
<i class="fa fa-download"></i> <?php _('Export Selected') ?>
</button>
</div>
</div>
</div>
</div>
</uib-tab>
<uib-tab index="1">
<uib-tab-heading><i class="fa fa-magic"></i> <?php _('Available') ?></uib-tab-heading>
<div class="margin-top">
<div class="list-group">
<div class="overflow-scrollbar-hidden" style="max-height: calc(100vh - 400px); min-height: 200px;">
<a href="javascript:void(0)" class="list-group-item" style="display: inline-flex; row-gap:10px; flex-wrap: wrap; width: 100%; border-bottom-left-radius: 0; border-bottom-right-radius: 0" ng-repeat="wizard in wizards[tabIndex] track by $index">
<div style="flex: 1 0 240px">
<label style="display:inline-flex; margin-bottom: 0; font-weight: normal;" ng-click="selectSingleWizard(wizard.uuid)" title="UUID: {{wizard.uuid}} | Version: {{wizard.version}}">
<input type="checkbox" ng-model="wizardSelections[tabIndex][wizard.uuid]" style="margin-top: auto; margin-bottom: auto; margin-right: 15px;" ng-disabled="!user.showFeature(wizard.editPermission)">
<div style="display: block">
<div style="display: inline-flex">
<rs-icon style="width:18px;font-size:18px; margin: auto 8px auto 4px;" ng-if="wizard.icon !== ''" icon-img="wizard.icon"></rs-icon>
<rs-icon style="width:18px;font-size:18px; margin: auto 8px auto 4px;" ng-if="wizard.icon === ''" icon="fa fa-magic"></rs-icon>
<div style="font-weight:bold; font-size:18px; margin-left: 4px;margin-right: 8px">
{{wizard.name}}
</div>
</div>
<div ng-if="wizard.author !== ''" style="font-style:italic;margin-left: 4px;margin-right: 8px">
{{"<?php _('Created by @') ?>".replace("@", wizard.author)}}
</div>
<div ng-if="wizard.description !== ''" style="margin-left: 4px;margin-right: 8px">
{{wizard.description}}
</div>
</div>
</label>
</div>
<div style="flex-shrink: 0;flex-grow: 0;margin-left:auto">
<div class="btn btn-primary btn-xs" ng-if="user.showFeature(wizard.editPermission)" style="margin: auto 8px auto auto" ng-click="exportWizard(wizard.uuid)">
<i class="fa fa-download"></i>
<span><?php _('Export') ?></span>
</div>
<div ng-if="!wizardIsInstalled(wizard.uuid) && user.showFeature(wizard.editPermission)" class="btn btn-primary btn-xs" style="display: inline-flex!important; margin: auto 8px auto 0" ng-click="installWizard(wizard.uuid)">
<i class="fa fa-plus-square"></i>
<span><?php _('Add') ?></span>
</div>
<div ng-if="wizardIsInstalled(wizard.uuid) && user.showFeature(wizard.editPermission)" class="btn btn-primary btn-xs" style="display: inline-flex!important; margin: auto 8px auto 0" ng-click="uninstallWizard(wizard.uuid)">
<i class="fa fa-minus-square"></i>
<span><?php _('Remove') ?></span>
</div>
<div ng-if="wizard.source !== 1 && user.showFeature(wizard.editPermission)" type="button" ng-click="deleteWizard(wizard.uuid)" style="display: inline-flex!important; width: 22px; height: 22px; margin-top: auto; margin-bottom: auto" class="btn text-danger btn-xs">
<i class="fa fa-trash-o" style="font-size:1.2em"></i>
</div>
<div ng-if="wizard.source === 1 || !user.showFeature(wizard.editPermission)" ng-disabled="wizard.source === 1" type="button" style="display: inline-flex!important; width: 22px; height: 22px; margin-top: auto; margin-bottom: auto" class="btn text-default btn-xs">
<i class="fa fa-trash-o" style="font-size:1.2em"></i>
</div>
</div>
</a>
</div>
<div class="list-group-item" style="display: inline-flex; flex-wrap:wrap; row-gap: 10px; column-gap: 10px; width: 100%; padding-right: 15px;margin-bottom: 0">
<label style="white-space:nowrap; font-weight: normal; margin-bottom: 0;" ng-click="selectAllWizards()">
<input type="checkbox" ng-model="checkAll[tabIndex]">
<span style="margin-right: 20px; margin-left: 8px; padding-top: 2px"><?php _('Select all') ?></span>
</label>
<div style="flex-grow: 1"></div>
<button ng-if="showSelectedButtons[tabIndex]" type="button" class="btn btn-danger btn-xs" ng-click="deleteWizard('selected')">
<i class="fa fa-trash-o"></i> <?php _('Delete Selected') ?>
</button>
<button ng-if="showSelectedButtons[tabIndex]" class="btn btn-primary btn-xs" ng-click="exportWizard('selected')">
<i class="fa fa-download"></i> <?php _('Export Selected') ?>
</button>
<button ng-if="showSelectedButtons[tabIndex]" class="btn btn-primary btn-xs" ng-click="uninstallWizard('selected')">
<i class="fa fa-minus-square"></i> <?php _('Remove Selected') ?>
</button>
<button ng-if="showSelectedButtons[tabIndex]" class="btn btn-primary btn-xs" ng-click="installWizard('selected')">
<i class="fa fa-plus-square"></i> <?php _('Add Selected') ?>
</button>
</div>
</div>
</div>
</uib-tab>
</uib-tabset>
</div>
<div class="modal-footer">
<div style="display: flex;    justify-content: space-between;flex-wrap: wrap;row-gap: 10px;">
<form ng-if="tabIndex === 1" enctype="multipart/form-data" method="post" action="{{'printer/wizards/'+activeSlug}}" id="wizardImport" style="display:inline-block">
<input type="hidden" name="a" value="import">
<input type="hidden" name="name" value="" id="UploadName">
<span class="btn btn-primary btn-file margin-right" ng-disabled="uploading">
<i class="fa fa-upload rs-bigtab"></i>
<span ng-hide="uploading"><?php _('Import Wizard from File') ?></span>
<span ng-show="uploading"><?php _('Uploading ...') ?> {{uploadProgress}}%</span>
<input type="file" name="filename" id="WizardFileImport" onchange="importWizard()" accept=".xml,.wiz">
</span>
</form>
<div style="flex-grow: 1"></div>
<button type="button" class="btn btn-default" ng-click="cancel()">
<i class="fa fa-times"></i> <?php _('Close') ?>
</button>
</div>
</div>
